=== modified file 'client/completion_hash.cc'
--- client/completion_hash.cc	2008-09-10 22:54:20 +0000
+++ client/completion_hash.cc	2008-10-06 01:30:47 +0000
@@ -17,7 +17,7 @@
  *
  * by  Andi Gutmans <andi@zend.com>
  * and Zeev Suraski <zeev@zend.com>
- * Small portability changes by Monty. Changed also to use my_malloc/my_free
+ * Small portability changes by Monty.
  */
 
 #include "client_priv.h"
@@ -40,8 +40,8 @@
 
 int completion_hash_init(HashTable *ht, uint nSize)
 {
-  ht->arBuckets = (Bucket **) my_malloc(nSize* sizeof(Bucket *),
-					MYF(MY_ZEROFILL | MY_WME));
+  ht->arBuckets = (Bucket **) malloc(nSize* sizeof(Bucket *));
+  memset(ht->arBuckets, 0, nSize* sizeof(Bucket *));
 
   if (!ht->arBuckets)
   {
@@ -211,7 +211,7 @@
 void completion_hash_free(HashTable *ht)
 {
   completion_hash_clean(ht);
-  my_free(ht->arBuckets, MYF(0));
+  free(ht->arBuckets);
 }
 
 

=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-10-04 18:42:30 +0000
+++ client/drizzle.cc	2008-10-06 01:30:47 +0000
@@ -1151,7 +1151,7 @@
           strncmp(link_name, "/dev/null", 10) == 0)
       {
         /* The .drizzle_history file is a symlink to /dev/null, don't use it */
-        my_free(histfile, MYF(MY_ALLOW_ZERO_PTR));
+        free(histfile);
         histfile= 0;
       }
     }
@@ -1202,17 +1202,17 @@
     delete glob_buffer;
   if (processed_prompt)
     delete processed_prompt;
-  my_free(opt_password,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(opt_drizzle_unix_port,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(histfile,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(histfile_tmp,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(current_db,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(current_host,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(current_user,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(full_username,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(part_username,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(default_prompt,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(current_prompt,MYF(MY_ALLOW_ZERO_PTR));
+  free(opt_password);
+  free(opt_drizzle_unix_port);
+  free(histfile);
+  free(histfile_tmp);
+  free(current_db);
+  free(current_host);
+  free(current_user);
+  free(full_username);
+  free(part_username);
+  free(default_prompt);
+  free(current_prompt);
   free_defaults(defaults_argv);
   my_end(my_end_arg);
   exit(status.exit_status);
@@ -1565,7 +1565,7 @@
     if (argument)
     {
       char *start= argument;
-      my_free(opt_password, MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_password);
       opt_password= strdup(argument);
       while (*argument) *argument++= 'x';        // Destroy argument
       if (*start)
@@ -1653,7 +1653,7 @@
   if (argc == 1)
   {
     skip_updates= 0;
-    my_free(current_db, MYF(MY_ALLOW_ZERO_PTR));
+    free(current_db);
     current_db= strdup(*argv);
   }
   if (tty_password)
@@ -2444,7 +2444,7 @@
 {
   DRIZZLE_RES *res;
 
-  my_free(current_db, MYF(MY_ALLOW_ZERO_PTR));
+  free(current_db);
   current_db= NULL;
   /* In case of error below current_db will be NULL */
   if (!drizzle_query(&drizzle, "SELECT DATABASE()") &&
@@ -3045,7 +3045,7 @@
     (void) tee_fputs("\n", PAGER);
   }
   tee_puts(separator.c_str(), PAGER);
-  my_free(num_flag, MYF(MY_ALLOW_ZERO_PTR));
+  free(num_flag);
 }
 
 /**
@@ -3449,12 +3449,12 @@
     tmp= get_arg(buff, 0);
     if (tmp && *tmp)
     {
-      my_free(current_db, MYF(MY_ALLOW_ZERO_PTR));
+      free(current_db);
       current_db= strdup(tmp);
       tmp= get_arg(buff, 1);
       if (tmp)
       {
-        my_free(current_host,MYF(MY_ALLOW_ZERO_PTR));
+        free(current_host);
         current_host=strdup(tmp);
       }
     }
@@ -3633,7 +3633,7 @@
       if (drizzle_select_db(&drizzle,tmp))
         return put_error(&drizzle);
     }
-    my_free(current_db,MYF(MY_ALLOW_ZERO_PTR));
+    free(current_db);
     current_db= strdup(tmp);
     if (select_db > 1)
       build_completion_hash(opt_rehash, 1);
@@ -4286,8 +4286,8 @@
 
 static void init_username()
 {
-  my_free(full_username,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(part_username,MYF(MY_ALLOW_ZERO_PTR));
+  free(full_username);
+  free(part_username);
 
   DRIZZLE_RES *result;
   if (!drizzle_query(&drizzle,"select USER()") &&
@@ -4305,7 +4305,7 @@
 {
   char *ptr=strchr(line, ' ');
   prompt_counter = 0;
-  my_free(current_prompt, MYF(MY_ALLOW_ZERO_PTR));
+  free(current_prompt);
   current_prompt= strdup(ptr ? ptr+1 : default_prompt);
   if (!ptr)
     tee_fprintf(stdout, "Returning to default PROMPT of %s\n",

=== modified file 'client/drizzleadmin.cc'
--- client/drizzleadmin.cc	2008-10-04 18:42:30 +0000
+++ client/drizzleadmin.cc	2008-10-06 01:30:47 +0000
@@ -117,7 +117,7 @@
     if (argument)
     {
       char *start=argument;
-      my_free(opt_password,MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_password);
       opt_password= my_strdup(argument,MYF(MY_FAE));
       while (*argument) *argument++= 'x';   /* Destroy argument */
       if (*start)
@@ -217,8 +217,8 @@
     error=execute_commands(&drizzle,argc,commands);
     drizzle_close(&drizzle);
   }
-  my_free(opt_password,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(user,MYF(MY_ALLOW_ZERO_PTR));
+  free(opt_password);
+  free(user);
   free_defaults(save_argv);
   my_end(my_end_arg);
   exit(error ? 1 : 0);

=== modified file 'client/drizzlebinlog.cc'
--- client/drizzlebinlog.cc	2008-10-04 18:42:30 +0000
+++ client/drizzlebinlog.cc	2008-10-06 01:30:47 +0000
@@ -806,7 +806,7 @@
         */
         convert_path_to_forward_slashes((char*) ce->fname);
   ce->print(result_file, print_event_info, true);
-  my_free((char*)ce->fname,MYF(MY_WME));
+  free((char*)ce->fname);
   delete ce;
       }
       else
@@ -861,7 +861,7 @@
       }
 
       if (fname)
-  my_free(fname, MYF(MY_WME));
+  free(fname);
       break;
     }
     case TABLE_MAP_EVENT:
@@ -1127,11 +1127,11 @@
 */
 static void cleanup()
 {
-  my_free(pass,MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) database, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) host, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) user, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) dirname_for_local_load, MYF(MY_ALLOW_ZERO_PTR));
+  free(pass);
+  free((char*) database);
+  free((char*) host);
+  free((char*) user);
+  free((char*) dirname_for_local_load);
 
   delete glob_description_event;
   if (drizzle)
@@ -1193,7 +1193,7 @@
   case 'p':
     if (argument)
     {
-      my_free(pass,MYF(MY_ALLOW_ZERO_PTR));
+      free(pass);
       char *start=argument;
       pass= my_strdup(argument,MYF(MY_FAE));
       while (*argument) *argument++= 'x';    /* Destroy argument */

=== modified file 'client/drizzlecheck.cc'
--- client/drizzlecheck.cc	2008-10-04 18:42:30 +0000
+++ client/drizzlecheck.cc	2008-10-06 01:30:47 +0000
@@ -258,7 +258,7 @@
     if (argument)
     {
       char *start = argument;
-      my_free(opt_password, MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_password);
       opt_password = my_strdup(argument, MYF(MY_FAE));
       while (*argument) *argument++= 'x';    /* Destroy argument */
       if (*start)
@@ -413,7 +413,7 @@
     }
     *--end = 0;
     handle_request_for_tables(table_names_comma_sep + 1, tot_length - 1);
-    my_free(table_names_comma_sep, MYF(0));
+    free(table_names_comma_sep);
   }
   else
     for (; tables > 0; tables--, table_names++)
@@ -506,7 +506,7 @@
     *--end = 0;
     if (tot_length)
       handle_request_for_tables(tables + 1, tot_length - 1);
-    my_free(tables, MYF(0));
+    free(tables);
   }
   else
   {
@@ -649,7 +649,7 @@
     return 1;
   }
   print_result();
-  my_free(query, MYF(0));
+  free(query);
   return 0;
 }
 
@@ -804,7 +804,7 @@
   }
  end:
   dbDisconnect(current_host);
-  my_free(opt_password, MYF(MY_ALLOW_ZERO_PTR));
+  free(opt_password);
   my_end(my_end_arg);
   return(first_error!=0);
 } /* main */

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2008-10-04 18:42:30 +0000
+++ client/drizzledump.cc	2008-10-06 01:30:47 +0000
@@ -621,7 +621,7 @@
 
 static void free_table_ent(char *key)
 {
-  my_free(key, MYF(0));
+  free(key);
 }
 
 
@@ -642,7 +642,7 @@
     if (argument)
     {
       char *start=argument;
-      my_free(opt_password,MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_password);
       opt_password=my_strdup(argument,MYF(MY_FAE));
       while (*argument) *argument++= 'x';               /* Destroy argument */
       if (*start)
@@ -1027,7 +1027,7 @@
 {
   if (md_result_file && md_result_file != stdout)
     my_fclose(md_result_file, MYF(0));
-  my_free(opt_password, MYF(MY_ALLOW_ZERO_PTR));
+  free(opt_password);
   if (hash_inited(&ignore_table))
     hash_free(&ignore_table);
   if (defaults_argv)
@@ -1113,7 +1113,7 @@
   fputs(tmp, file);
   fputc('\'', file);
   check_io(file);
-  my_free(tmp, MYF(MY_WME));
+  free(tmp);
   return;
 } /* unescape */
 
@@ -1473,7 +1473,7 @@
 
   if (opt_order_by_primary)
   {
-    my_free(order_by, MYF(MY_ALLOW_ZERO_PTR));
+    free(order_by);
     order_by= primary_key_fields(result_table);
   }
 
@@ -1560,12 +1560,12 @@
           if (drizzle_errno(drizzle) == ER_VIEW_INVALID)
             fprintf(sql_file, "\n-- failed on view %s: %s\n\n", result_table, scv_buff ? scv_buff : "");
 
-          my_free(scv_buff, MYF(MY_ALLOW_ZERO_PTR));
+          free(scv_buff);
 
           return(0);
         }
         else
-          my_free(scv_buff, MYF(MY_ALLOW_ZERO_PTR));
+          free(scv_buff);
 
         if (drizzle_num_rows(result))
         {
@@ -2659,7 +2659,7 @@
     if (include_table((uchar*) hash_key, end - hash_key))
     {
       dump_table(table,database);
-      my_free(order_by, MYF(MY_ALLOW_ZERO_PTR));
+      free(order_by);
       order_by= 0;
     }
   }
@@ -2799,7 +2799,7 @@
     dump_table(*pos, db);
 
   free_root(&root, MYF(0));
-  my_free(order_by, MYF(MY_ALLOW_ZERO_PTR));
+  free(order_by);
   order_by= 0;
   if (opt_xml)
   {

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2008-10-04 18:42:30 +0000
+++ client/drizzleimport.cc	2008-10-06 01:30:47 +0000
@@ -191,7 +191,7 @@
     if (argument)
     {
       char *start=argument;
-      my_free(opt_password,MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_password);
       opt_password=my_strdup(argument,MYF(MY_FAE));
       while (*argument) *argument++= 'x';    /* Destroy argument */
       if (*start)
@@ -605,7 +605,7 @@
           exitcode= error;
     db_disconnect(current_host, drizzle);
   }
-  my_free(opt_password,MYF(MY_ALLOW_ZERO_PTR));
+  free(opt_password);
   free_defaults(argv_to_free);
   my_end(my_end_arg);
   return(exitcode);

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2008-10-04 18:42:30 +0000
+++ client/drizzleslap.cc	2008-10-06 01:30:47 +0000
@@ -400,14 +400,14 @@
 
   /* now free all the strings we created */
   if (opt_password)
-    my_free(opt_password, MYF(0));
+    free(opt_password);
 
-  my_free(concurrency, MYF(0));
+  free(concurrency);
 
   statement_cleanup(create_statements);
   for (x= 0; x < query_statements_count; x++)
     statement_cleanup(query_statements[x]);
-  my_free(query_statements, MYF(0));
+  free(query_statements);
   statement_cleanup(pre_statements);
   statement_cleanup(post_statements);
   option_cleanup(engine_options);
@@ -415,7 +415,7 @@
 
 #ifdef HAVE_SMEM
   if (shared_memory_base_name)
-    my_free(shared_memory_base_name, MYF(MY_ALLOW_ZERO_PTR));
+    free(shared_memory_base_name);
 #endif
   free_defaults(defaults_argv);
   my_end(my_end_arg);
@@ -502,7 +502,7 @@
   if (opt_csv_str)
     print_conclusions_csv(&conclusion);
 
-  my_free(head_sptr, MYF(0));
+  free(head_sptr);
 
 }
 
@@ -730,7 +730,7 @@
     if (argument)
     {
       char *start= argument;
-      my_free(opt_password, MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_password);
       opt_password= my_strdup(argument,MYF(MY_FAE));
       while (*argument) *argument++= 'x';    /* Destroy argument */
       if (*start)
@@ -1088,7 +1088,7 @@
     }
 
     if (num_blob_cols_size > HUGE_STRING_LENGTH)
-      my_free(blob_ptr, MYF(0));
+      free(blob_ptr);
   }
 
   insert_string.append(")", 1);
@@ -1474,7 +1474,7 @@
       tmp_string[sbuf.st_size]= '\0';
       my_close(data_file,MYF(0));
       parse_delimiter(tmp_string, &create_statements, delimiter[0]);
-      my_free(tmp_string, MYF(0));
+      free(tmp_string);
     }
     else if (create_string)
     {
@@ -1513,7 +1513,7 @@
       if (user_supplied_query)
         actual_queries= parse_delimiter(tmp_string, &query_statements[0],
                                         delimiter[0]);
-      my_free(tmp_string, MYF(0));
+      free(tmp_string);
     }
     else if (user_supplied_query)
     {
@@ -1545,7 +1545,7 @@
     if (user_supplied_pre_statements)
       (void)parse_delimiter(tmp_string, &pre_statements,
                             delimiter[0]);
-    my_free(tmp_string, MYF(0));
+    free(tmp_string);
   }
   else if (user_supplied_pre_statements)
   {
@@ -1577,7 +1577,7 @@
     if (user_supplied_post_statements)
       (void)parse_delimiter(tmp_string, &post_statements,
                             delimiter[0]);
-    my_free(tmp_string, MYF(0));
+    free(tmp_string);
   }
   else if (user_supplied_post_statements)
   {
@@ -1674,9 +1674,9 @@
   if (primary_keys_number_of)
   {
     for (counter= 0; counter < primary_keys_number_of; counter++)
-      my_free(primary_keys[counter], MYF(0));
+      free(primary_keys[counter]);
 
-    my_free(primary_keys, MYF(0));
+    free(primary_keys);
   }
 
   return 0;
@@ -2117,7 +2117,7 @@
   pthread_cond_signal(&count_threshhold);
   pthread_mutex_unlock(&counter_mutex);
 
-  my_free(con, MYF(0));
+  free(con);
 
   return(0);
 }
@@ -2419,10 +2419,10 @@
   {
     nptr= ptr->next;
     if (ptr->string)
-      my_free(ptr->string, MYF(0));
+      free(ptr->string);
     if (ptr->option)
-      my_free(ptr->option, MYF(0));
-    my_free(ptr, MYF(0));
+      free(ptr->option);
+    free(ptr);
   }
 }
 
@@ -2437,8 +2437,8 @@
   {
     nptr= ptr->next;
     if (ptr->string)
-      my_free(ptr->string, MYF(0));
-    my_free(ptr, MYF(0));
+      free(ptr->string);
+    free(ptr);
   }
 }
 

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-10-04 18:42:30 +0000
+++ client/drizzletest.cc	2008-10-06 01:30:47 +0000
@@ -803,7 +803,7 @@
     drizzle_close(&next_con->drizzle);
     if (next_con->util_drizzle)
       drizzle_close(next_con->util_drizzle);
-    my_free(next_con->name, MYF(MY_ALLOW_ZERO_PTR));
+    free(next_con->name);
   }
   return;
 }
@@ -818,7 +818,7 @@
     {
       my_fclose(cur_file->file, MYF(0));
     }
-    my_free((uchar*) cur_file->file_name, MYF(MY_ALLOW_ZERO_PTR));
+    free((uchar*) cur_file->file_name);
     cur_file->file_name= 0;
   }
   return;
@@ -848,13 +848,13 @@
   for (i= 0; i < 10; i++)
   {
     if (var_reg[i].alloced_len)
-      my_free(var_reg[i].str_val, MYF(MY_WME));
+      free(var_reg[i].str_val);
   }
   while (embedded_server_arg_count > 1)
-    my_free(embedded_server_args[--embedded_server_arg_count],MYF(0));
+    free(embedded_server_args[--embedded_server_arg_count]);
 
   free_all_replace();
-  my_free(opt_pass,MYF(MY_ALLOW_ZERO_PTR));
+  free(opt_pass);
   free_defaults(default_argv);
 
   return;
@@ -1586,10 +1586,10 @@
 
 void var_free(void *v)
 {
-  my_free(((VAR*) v)->str_val, MYF(MY_WME));
-  my_free(((VAR*) v)->env_s, MYF(MY_WME|MY_ALLOW_ZERO_PTR));
+  free(((VAR*) v)->str_val);
+  free(((VAR*) v)->env_s);
   if (((VAR*)v)->alloced)
-    my_free(v, MYF(MY_WME));
+    free(v);
 }
 
 
@@ -1714,7 +1714,7 @@
     if (!(v->env_s= my_strdup(buf, MYF(MY_WME))))
       die("Out of memory");
     putenv(v->env_s);
-    my_free(old_env_s, MYF(MY_ALLOW_ZERO_PTR));
+    free(old_env_s);
   }
   return;
 }
@@ -3518,7 +3518,7 @@
     drizzle_close(con->util_drizzle);
   con->util_drizzle= 0;
 
-  my_free(con->name, MYF(0));
+  free(con->name);
 
   /*
     When the connection is closed set name to "-closed_connection-"
@@ -4029,7 +4029,7 @@
         my_fclose(cur_file->file, MYF(0));
         cur_file->file= 0;
       }
-      my_free((uchar*) cur_file->file_name, MYF(MY_ALLOW_ZERO_PTR));
+      free((uchar*) cur_file->file_name);
       cur_file->file_name= 0;
       if (cur_file == file_stack)
       {
@@ -4598,7 +4598,7 @@
   case 'p':
     if (argument)
     {
-      my_free(opt_pass, MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_pass);
       opt_pass= my_strdup(argument, MYF(MY_FAE));
       while (*argument) *argument++= 'x';    /* Destroy argument */
       tty_password= 0;
@@ -5939,11 +5939,11 @@
     if (!*from)
       die("Wrong number of arguments to replace_column in '%s'", command->query);
     to= get_string(&buff, &from, command);
-    my_free(replace_column[column_number-1], MY_ALLOW_ZERO_PTR);
+    free(replace_column[column_number-1]);
     replace_column[column_number-1]= my_strdup(to, MYF(MY_WME | MY_FAE));
     set_if_bigger(max_replace_column, column_number);
   }
-  my_free(start, MYF(0));
+  free(start);
   command->last_argument= command->end;
 }
 
@@ -5955,7 +5955,7 @@
   {
     if (replace_column[i])
     {
-      my_free(replace_column[i], 0);
+      free(replace_column[i]);
       replace_column[i]= 0;
     }
   }
@@ -6033,7 +6033,7 @@
     die("Can't initialize replace from '%s'", command->query);
   free_pointer_array(&from_array);
   free_pointer_array(&to_array);
-  my_free(start, MYF(0));
+  free(start);
   command->last_argument= command->end;
   return;
 }
@@ -6044,7 +6044,7 @@
 
   if (glob_replace)
   {
-    my_free(glob_replace,MYF(0));
+    free(glob_replace);
     glob_replace=0;
   }
   return;
@@ -6255,7 +6255,7 @@
   return res;
 
 err:
-  my_free(res,0);
+  free(res);
   die("Error parsing replace_regex \"%s\"", expr);
   return 0;
 }
@@ -6347,9 +6347,9 @@
   if (glob_replace_regex)
   {
     delete_dynamic(&glob_replace_regex->regex_arr);
-    my_free(glob_replace_regex->even_buf,MYF(MY_ALLOW_ZERO_PTR));
-    my_free(glob_replace_regex->odd_buf,MYF(MY_ALLOW_ZERO_PTR));
-    my_free(glob_replace_regex,MYF(0));
+    free(glob_replace_regex->even_buf);
+    free(glob_replace_regex->odd_buf);
+    free(glob_replace_regex);
     glob_replace_regex=0;
   }
 }
@@ -6533,7 +6533,7 @@
   if (!(follow=(FOLLOWS*) my_malloc((states+2)*sizeof(FOLLOWS),MYF(MY_WME))))
   {
     free_sets(&sets);
-    my_free(found_set,MYF(0));
+    free(found_set);
     return(0);
   }
 
@@ -6755,9 +6755,9 @@
           replace[i].next[j]=(REPLACE*) (rep_str+(-sets.set[i].next[j]-1));
     }
   }
-  my_free(follow,MYF(0));
+  free(follow);
   free_sets(&sets);
-  my_free(found_set,MYF(0));
+  free(found_set);
   return(replace);
 }
 
@@ -6772,7 +6772,7 @@
   if (!(sets->bit_buffer=(uint*) my_malloc(sizeof(uint)*sets->size_of_bits*
                                            SET_MALLOC_HUNC,MYF(MY_WME))))
   {
-    my_free(sets->set,MYF(0));
+    free(sets->set);
     return 1;
   }
   return 0;
@@ -6833,8 +6833,8 @@
 
 void free_sets(REP_SETS *sets)
 {
-  my_free(sets->set_buffer,MYF(0));
-  my_free(sets->bit_buffer,MYF(0));
+  free(sets->set_buffer);
+  free(sets->bit_buffer);
   return;
 }
 
@@ -6971,7 +6971,7 @@
     if (!(pa->str= (uchar*) my_malloc((uint) (PS_MALLOC-MALLOC_OVERHEAD),
                                       MYF(MY_WME))))
     {
-      my_free((char*) pa->typelib.type_names,MYF(0));
+      free((char*) pa->typelib.type_names);
       return (-1);
     }
     pa->max_count=(PC_MALLOC-MALLOC_OVERHEAD)/(sizeof(uchar*)+
@@ -7032,9 +7032,9 @@
   if (pa->typelib.count)
   {
     pa->typelib.count=0;
-    my_free((char*) pa->typelib.type_names,MYF(0));
+    free((char*) pa->typelib.type_names);
     pa->typelib.type_names=0;
-    my_free(pa->str,MYF(0));
+    free(pa->str);
   }
 } /* free_pointer_array */
 

=== modified file 'client/readline.cc'
--- client/readline.cc	2008-08-10 16:52:18 +0000
+++ client/readline.cc	2008-10-06 01:30:47 +0000
@@ -35,7 +35,7 @@
     return 0;
   if (init_line_buffer(line_buff,fileno(file),IO_SIZE,max_size))
   {
-    my_free(line_buff,MYF(0));
+    free(line_buff);
     return 0;
   }
   return line_buff;
@@ -62,8 +62,8 @@
 {
   if (line_buff)
   {
-    my_free(line_buff->buffer,MYF(MY_ALLOW_ZERO_PTR));
-    my_free(line_buff,MYF(0));
+    free(line_buff->buffer);
+    free(line_buff);
   }
 }
 
@@ -76,7 +76,7 @@
       return 0;
   if (init_line_buffer_from_string(line_buff,str))
   {
-    my_free(line_buff,MYF(0));
+    free(line_buff);
     return 0;
   }
   return line_buff;

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-10-05 01:44:16 +0000
+++ drizzled/drizzled.cc	2008-10-06 01:30:47 +0000
@@ -840,18 +840,15 @@
   free_status_vars();
   end_thr_alarm(1);			/* Free allocated memory */
   my_free_open_file_info();
-  my_free((char*) global_system_variables.date_format,
-	  MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) global_system_variables.time_format,
-	  MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) global_system_variables.datetime_format,
-	  MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) global_system_variables.date_format);
+  free((char*) global_system_variables.time_format);
+  free((char*) global_system_variables.datetime_format);
   if (defaults_argv)
     free_defaults(defaults_argv);
-  my_free(sys_init_connect.value, MYF(MY_ALLOW_ZERO_PTR));
-  my_free(sys_init_slave.value, MYF(MY_ALLOW_ZERO_PTR));
+  free(sys_init_connect.value);
+  free(sys_init_slave.value);
   free_tmpdir(&mysql_tmpdir_list);
-  my_free(slave_load_tmpdir,MYF(MY_ALLOW_ZERO_PTR));
+  free(slave_load_tmpdir);
   if (opt_bin_logname)
     free(opt_bin_logname);
   if (opt_relay_logname)
@@ -873,7 +870,7 @@
   (void *)my_error_unregister(ER_ERROR_FIRST, ER_ERROR_LAST);
   // TODO!!!! EPIC FAIL!!!! This sefaults if uncommented.
 /*  if (freeme != NULL)
-    my_free(freeme, MYF(MY_WME | MY_FAE | MY_ALLOW_ZERO_PTR));  */
+    free(freeme);  */
   /* Tell main we are ready */
   logger.cleanup_end();
   (void) pthread_mutex_lock(&LOCK_thread_count);
@@ -1886,7 +1883,7 @@
 
 void my_str_free_mysqld(void *ptr)
 {
-  my_free((uchar*)ptr, MYF(MY_FAE));
+  free((uchar*)ptr);
 }
 
 
@@ -2382,7 +2379,7 @@
     }
     if (ln == buf)
     {
-      my_free(opt_bin_logname, MYF(MY_ALLOW_ZERO_PTR));
+      free(opt_bin_logname);
       opt_bin_logname=my_strdup(buf, MYF(0));
     }
     if (mysql_bin_log.open_index_file(opt_binlog_index_name, ln))
@@ -4878,7 +4875,7 @@
   if (opt_secure_file_priv)
   {
     convert_dirname(buff, opt_secure_file_priv, NULL);
-    my_free(opt_secure_file_priv, MYF(0));
+    free(opt_secure_file_priv);
     opt_secure_file_priv= my_strdup(buff, MYF(MY_FAE));
   }
 }

=== modified file 'drizzled/filesort.cc'
--- drizzled/filesort.cc	2008-10-04 17:33:56 +0000
+++ drizzled/filesort.cc	2008-10-06 01:30:47 +0000
@@ -325,7 +325,7 @@
 {
   if (table->sort.record_pointers)
   {
-    my_free((uchar*) table->sort.record_pointers,MYF(0));
+    free((uchar*) table->sort.record_pointers);
     table->sort.record_pointers=0;
   }
   if (full)
@@ -346,8 +346,8 @@
   }
   if (table->sort.addon_buf)
   {
-    my_free((char *) table->sort.addon_buf, MYF(0));
-    my_free((char *) table->sort.addon_field, MYF(MY_ALLOW_ZERO_PTR));
+    free((char *) table->sort.addon_buf);
+    free((char *) table->sort.addon_field);
     table->sort.addon_buf=0;
     table->sort.addon_field=0;
   }
@@ -389,7 +389,7 @@
     if (reinit_io_cache(buffpek_pointers,READ_CACHE,0L,0,0) ||
 	my_b_read(buffpek_pointers, (uchar*) tmp, length))
     {
-      my_free((char*) tmp, MYF(0));
+      free((char*) tmp);
       tmp=0;
     }
   }

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-10-04 18:42:30 +0000
+++ drizzled/handler.cc	2008-10-06 01:30:47 +0000
@@ -303,7 +303,7 @@
   /* Allocate a pointer array for the error message strings. */
   if (! (errmsgs= my_error_unregister(HA_ERR_FIRST, HA_ERR_LAST)))
     return 1;
-  my_free((uchar*) errmsgs, MYF(0));
+  free((uchar*) errmsgs);
   return 0;
 }
 
@@ -326,7 +326,7 @@
   if (hton && plugin->plugin->deinit)
     (void)plugin->plugin->deinit(hton);
 
-  my_free((uchar*)hton, MYF(0));
+  free((uchar*)hton);
 
   return(0);
 }
@@ -1345,7 +1345,7 @@
   plugin_foreach(NULL, xarecover_handlerton, 
                  DRIZZLE_STORAGE_ENGINE_PLUGIN, &info);
 
-  my_free((uchar*)info.list, MYF(0));
+  free((uchar*)info.list);
   if (info.found_foreign_xids)
     sql_print_warning(_("Found %d prepared XA transactions"), 
                       info.found_foreign_xids);
@@ -3140,7 +3140,7 @@
   build_table_filename(path, FN_REFLEN-1, db, name, "", 0);
   // Save the frm file
   error= writefrm(path, frmblob, frmlen);
-  my_free(frmblob, MYF(0));
+  free(frmblob);
   if (error)
     return(2);
 

=== modified file 'drizzled/item_func.cc'
--- drizzled/item_func.cc	2008-10-02 19:10:59 +0000
+++ drizzled/item_func.cc	2008-10-06 01:30:47 +0000
@@ -2739,7 +2739,7 @@
     {
       if (my_hash_insert(&hash_user_locks,(uchar*) this))
       {
-	my_free(key,MYF(0));
+	free(key);
 	key=0;
       }
     }
@@ -2749,7 +2749,7 @@
     if (key)
     {
       hash_delete(&hash_user_locks,(uchar*) this);
-      my_free(key, MYF(0));
+      free(key);
     }
     pthread_cond_destroy(&cond);
   }
@@ -2968,7 +2968,7 @@
     memcpy(entry->name.str, name.str, name.length+1);
     if (my_hash_insert(hash,(uchar*) entry))
     {
-      my_free((char*) entry,MYF(0));
+      free((char*) entry);
       return 0;
     }
   }
@@ -3076,7 +3076,7 @@
   {
     char *pos= (char*) entry+ ALIGN_SIZE(sizeof(user_var_entry));
     if (entry->value && entry->value != pos)
-      my_free(entry->value,MYF(0));
+      free(entry->value);
     entry->value= 0;
     entry->length= 0;
   }
@@ -3091,7 +3091,7 @@
       if (entry->value != pos)
       {
 	if (entry->value)
-	  my_free(entry->value,MYF(0));
+	  free(entry->value);
 	entry->value=pos;
       }
     }

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2008-09-23 14:19:48 +0000
+++ drizzled/lock.cc	2008-10-06 01:30:47 +0000
@@ -155,7 +155,7 @@
     /* Reset lock type. */
     (*ldata)->type= TL_UNLOCK;
   }
-  my_free((uchar*) sql_lock, MYF(0));
+  free((uchar*) sql_lock);
   *mysql_lock= 0;
 }
 
@@ -335,7 +335,7 @@
     thr_multi_unlock(sql_lock->locks,sql_lock->lock_count);
   if (sql_lock->table_count)
     unlock_external(thd,sql_lock->table,sql_lock->table_count);
-  my_free((uchar*) sql_lock,MYF(0));
+  free((uchar*) sql_lock);
   return;
 }
 
@@ -510,7 +510,7 @@
   {
     for (uint i=0; i < locked->lock_count; i++)
       thr_downgrade_write_lock(locked->locks[i], new_lock_type);
-    my_free((uchar*) locked,MYF(0));
+    free((uchar*) locked);
   }
 }
 
@@ -527,7 +527,7 @@
   {
     for (uint i=0; i < locked->lock_count; i++)
       thr_abort_locks(locked->locks[i]->lock, upgrade_lock);
-    my_free((uchar*) locked,MYF(0));
+    free((uchar*) locked);
   }
   return;
 }
@@ -560,7 +560,7 @@
                                      table->in_use->thread_id))
         result= true;
     }
-    my_free((uchar*) locked,MYF(0));
+    free((uchar*) locked);
   }
   return(result);
 }
@@ -601,8 +601,8 @@
   }
 
   /* Delete old, not needed locks */
-  my_free((uchar*) a,MYF(0));
-  my_free((uchar*) b,MYF(0));
+  free((uchar*) a);
+  free((uchar*) b);
   return(sql_lock);
 }
 

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-10-04 18:48:15 +0000
+++ drizzled/log.cc	2008-10-06 01:30:47 +0000
@@ -397,7 +397,7 @@
   assert(trx_data->empty());
   thd_set_ha_data(thd, binlog_hton, NULL);
   trx_data->~binlog_trx_data();
-  my_free((uchar*)trx_data, MYF(0));
+  free((uchar*)trx_data);
   return 0;
 }
 
@@ -1600,7 +1600,7 @@
     need_start_event=1;
   if (!open_index_file(index_file_name, 0))
     open(save_name, log_type, 0, io_cache_type, no_auto_events, max_size, 0);
-  my_free((uchar*) save_name, MYF(0));
+  free((uchar*) save_name);
 
 err:
   pthread_mutex_unlock(&LOCK_thread_count);
@@ -2131,7 +2131,7 @@
 
   open(old_name, log_type, new_name_ptr,
        io_cache_type, no_auto_events, max_size, 1);
-  my_free(old_name,MYF(0));
+  free(old_name);
 
 end:
   if (need_lock)
@@ -2250,7 +2250,7 @@
       open_cached_file(&trx_data->trans_log, mysql_tmpdir,
                        LOG_PREFIX, binlog_cache_size, MYF(MY_WME)))
   {
-    my_free((uchar*)trx_data, MYF(MY_ALLOW_ZERO_PTR));
+    free((uchar*)trx_data);
     return(1);                      // Didn't manage to set it up
   }
   thd_set_ha_data(this, binlog_hton, trx_data);
@@ -3696,7 +3696,7 @@
       pthread_cond_destroy(&pages[i].cond);
     }
   case 3:
-    my_free((uchar*)pages, MYF(0));
+    free((uchar*)pages);
   case 2:
     my_munmap((char*)data, (size_t)file_length);
   case 1:

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-10-04 18:42:30 +0000
+++ drizzled/log_event.cc	2008-10-06 01:30:47 +0000
@@ -992,7 +992,7 @@
     sql_print_error(_("Error in Log_event::read_log_event(): "
                     "'%s', data_len: %d, event_type: %d"),
 		    error,data_len,head[EVENT_TYPE_OFFSET]);
-    my_free(buf, MYF(MY_ALLOW_ZERO_PTR));
+    free(buf);
     /*
       The SQL slave thread will check if file->error<0 to know
       if there was an I/O error. Even if there is no "low-level" I/O errors
@@ -1297,7 +1297,7 @@
   if (!more)
     my_b_printf(file, "'%s\n", print_event_info->delimiter);
 
-  my_free(tmp_str, MYF(0));
+  free(tmp_str);
   return;
 }
 
@@ -1376,7 +1376,7 @@
     pos+= q_len;
   }
   protocol->store(buf, pos-buf, &my_charset_bin);
-  my_free(buf, MYF(MY_ALLOW_ZERO_PTR));
+  free(buf);
 }
 #endif
 
@@ -2835,7 +2835,7 @@
     if (number_of_event_types != 22)
     {
       /* this makes is_valid() return false. */
-      my_free(post_header_len, MYF(MY_ALLOW_ZERO_PTR));
+      free(post_header_len);
       post_header_len= NULL;
       return;
     }
@@ -3134,7 +3134,7 @@
     return;
   print_query(true, buf, &end, 0, 0);
   protocol->store(buf, end-buf, &my_charset_bin);
-  my_free(buf, MYF(0));
+  free(buf);
 }
 #endif /* defined(HAVE_REPLICATION) && !defined(DRIZZLE_CLIENT) */
 
@@ -4357,7 +4357,7 @@
   buf[2+name_len]= '`';
   buf[3+name_len]= '=';
   protocol->store(buf, event_len, &my_charset_bin);
-  my_free(buf, MYF(0));
+  free(buf);
 }
 #endif /* !DRIZZLE_CLIENT */
 
@@ -4733,7 +4733,7 @@
 
 Slave_log_event::~Slave_log_event()
 {
-  my_free(mem_pool, MYF(MY_ALLOW_ZERO_PTR));
+  free(mem_pool);
 }
 
 
@@ -5522,7 +5522,7 @@
       rli->report(ERROR_LEVEL, rli->last_error().number,
                   _("%s. Failed executing load from '%s'"),
                   tmp, fname);
-      my_free(tmp,MYF(0));
+      free(tmp);
     }
     goto err;
   }
@@ -5727,7 +5727,7 @@
   pos= my_stpcpy(pos, " ;file_id=");
   pos= int10_to_str((long) file_id, pos, 10);
   protocol->store(buf, pos-buf, &my_charset_bin);
-  my_free(buf, MYF(MY_ALLOW_ZERO_PTR));
+  free(buf);
 }
 
 
@@ -5785,7 +5785,7 @@
   if (!error)
     (void) my_delete(fname, MYF(MY_WME));
 
-  my_free(buf, MYF(MY_ALLOW_ZERO_PTR));
+  free(buf);
   return error;
 }
 #endif
@@ -6030,9 +6030,9 @@
 Rows_log_event::~Rows_log_event()
 {
   if (m_cols.bitmap == m_bitbuf) // no my_malloc happened
-    m_cols.bitmap= 0; // so no my_free in bitmap_free
+    m_cols.bitmap= 0; // so no free in bitmap_free
   bitmap_free(&m_cols); // To pair with bitmap_init().
-  my_free((uchar*)m_rows_buf, MYF(MY_ALLOW_ZERO_PTR));
+  free((uchar*)m_rows_buf);
 }
 
 int Rows_log_event::get_data_size()
@@ -6942,8 +6942,8 @@
 
 Table_map_log_event::~Table_map_log_event()
 {
-  my_free(m_meta_memory, MYF(MY_ALLOW_ZERO_PTR));
-  my_free(m_memory, MYF(MY_ALLOW_ZERO_PTR));
+  free(m_meta_memory);
+  free(m_memory);
 }
 
 /*
@@ -6993,7 +6993,7 @@
   if (!rpl_filter->db_ok(table_list->db) ||
       (rpl_filter->is_on() && !rpl_filter->tables_ok("", table_list)))
   {
-    my_free(memory, MYF(MY_WME));
+    free(memory);
   }
   else
   {
@@ -7090,7 +7090,7 @@
   return(error);
 
 err:
-  my_free(memory, MYF(MY_WME));
+  free(memory);
   return(error);
 }
 
@@ -7934,7 +7934,7 @@
 {
   /*error= ToDo:find out what this should really be, this triggers close_scan in nbd, returning error?*/
   m_table->file->ha_index_or_rnd_end();
-  my_free(m_key, MYF(MY_ALLOW_ZERO_PTR));
+  free(m_key);
   m_key= NULL;
 
   return error;
@@ -8004,7 +8004,7 @@
 Update_rows_log_event::~Update_rows_log_event()
 {
   if (m_cols_ai.bitmap == m_bitbuf_ai) // no my_malloc happened
-    m_cols_ai.bitmap= 0; // so no my_free in bitmap_free
+    m_cols_ai.bitmap= 0; // so no free in bitmap_free
   bitmap_free(&m_cols_ai); // To pair with bitmap_init().
 }
 
@@ -8046,7 +8046,7 @@
 {
   /*error= ToDo:find out what this should really be, this triggers close_scan in nbd, returning error?*/
   m_table->file->ha_index_or_rnd_end();
-  my_free(m_key, MYF(MY_ALLOW_ZERO_PTR)); // Free for multi_malloc
+  free(m_key); // Free for multi_malloc
   m_key= NULL;
 
   return error;

=== modified file 'drizzled/log_event.h'
--- drizzled/log_event.h	2008-09-23 01:53:40 +0000
+++ drizzled/log_event.h	2008-10-06 01:30:47 +0000
@@ -937,7 +937,7 @@
   static void operator delete(void *ptr,
                               size_t size __attribute__((unused)))
   {
-    my_free((uchar*) ptr, MYF(MY_WME|MY_ALLOW_ZERO_PTR));
+    free((uchar*) ptr);
   }
 
   /* Placement version of the above operators */
@@ -980,7 +980,7 @@
   {
     if (temp_buf)
     {
-      my_free(temp_buf, MYF(0));
+      free(temp_buf);
       temp_buf = 0;
     }
   }
@@ -1579,7 +1579,7 @@
   ~Query_log_event()
   {
     if (data_buf)
-      my_free((uchar*) data_buf, MYF(0));
+      free((uchar*) data_buf);
   }
   Log_event_type get_type_code() { return QUERY_EVENT; }
 #ifndef DRIZZLE_CLIENT
@@ -2131,7 +2131,7 @@
                                *description_event);
   ~Format_description_log_event()
   {
-    my_free((uchar*)post_header_len, MYF(MY_ALLOW_ZERO_PTR));
+    free((uchar*)post_header_len);
   }
   Log_event_type get_type_code() { return FORMAT_DESCRIPTION_EVENT;}
 #ifndef DRIZZLE_CLIENT
@@ -2522,7 +2522,7 @@
   ~Rotate_log_event()
   {
     if (flags & DUP_NAME)
-      my_free((uchar*) new_log_ident, MYF(MY_ALLOW_ZERO_PTR));
+      free((uchar*) new_log_ident);
   }
   Log_event_type get_type_code() { return ROTATE_EVENT;}
   int get_data_size() { return  ident_len + ROTATE_HEADER_LEN;}
@@ -2583,7 +2583,7 @@
                         const Format_description_log_event* description_event);
   ~Create_file_log_event()
   {
-    my_free((char*) event_buf, MYF(MY_ALLOW_ZERO_PTR));
+    free((char*) event_buf);
   }
 
   Log_event_type get_type_code()

=== modified file 'drizzled/opt_range.cc'
--- drizzled/opt_range.cc	2008-10-04 18:42:30 +0000
+++ drizzled/opt_range.cc	2008-10-06 01:30:47 +0000
@@ -1025,7 +1025,7 @@
     select->file= *head->sort.io_cache;
     select->records=(ha_rows) (select->file.end_of_file/
 			       head->file->ref_length);
-    my_free(head->sort.io_cache, MYF(0));
+    free(head->sort.io_cache);
     head->sort.io_cache=0;
   }
   return(select);
@@ -1144,7 +1144,7 @@
     }
     delete_dynamic(&ranges); /* ranges are allocated in alloc */
     free_root(&alloc,MYF(0));
-    my_free((char*) column_bitmap.bitmap, MYF(MY_ALLOW_ZERO_PTR));
+    free((char*) column_bitmap.bitmap);
   }
   head->column_bitmaps_set(save_read_set, save_write_set);
   if (mrr_buf_desc)

=== modified file 'drizzled/records.cc'
--- drizzled/records.cc	2008-09-23 14:19:48 +0000
+++ drizzled/records.cc	2008-10-06 01:30:47 +0000
@@ -255,7 +255,7 @@
 {                   /* free cache if used */
   if (info->cache)
   {
-    my_free_lock((char*) info->cache,MYF(0));
+    free((char*) info->cache);
     info->cache=0;
   }
   if (info->table)

=== modified file 'drizzled/repl_failsafe.cc'
--- drizzled/repl_failsafe.cc	2008-10-04 18:42:30 +0000
+++ drizzled/repl_failsafe.cc	2008-10-06 01:30:47 +0000
@@ -144,7 +144,7 @@
   return res;
 
 err:
-  my_free(si, MYF(MY_WME));
+  free(si);
   my_message(ER_UNKNOWN_ERROR, errmsg, MYF(0)); /* purecov: inspected */
 err2:
   return 1;
@@ -160,7 +160,7 @@
 
 extern "C" void slave_info_free(void *s)
 {
-  my_free(s, MYF(MY_WME));
+  free(s);
 }
 
 void init_slave_list()

=== modified file 'drizzled/rpl_filter.cc'
--- drizzled/rpl_filter.cc	2008-09-28 03:20:53 +0000
+++ drizzled/rpl_filter.cc	2008-10-06 01:30:47 +0000
@@ -365,7 +365,7 @@
 {
   TABLE_RULE_ENT *e= (TABLE_RULE_ENT *) a;
   
-  my_free((uchar*) e, MYF(0));
+  free((uchar*) e);
 }
 
 
@@ -416,7 +416,7 @@
   {
     char* p;
     get_dynamic(a, (uchar*) &p, i);
-    my_free(p, MYF(MY_WME));
+    free(p);
   }
   delete_dynamic(a);
 }

=== modified file 'drizzled/rpl_rli.cc'
--- drizzled/rpl_rli.cc	2008-10-04 18:42:30 +0000
+++ drizzled/rpl_rli.cc	2008-10-06 01:30:47 +0000
@@ -1093,7 +1093,7 @@
     tables_to_lock=
       static_cast<RPL_TableList*>(tables_to_lock->next_global);
     tables_to_lock_count--;
-    my_free(to_free, MYF(MY_WME));
+    free(to_free);
   }
   assert(tables_to_lock == NULL && tables_to_lock_count == 0);
 }

=== modified file 'drizzled/rpl_utility.h'
--- drizzled/rpl_utility.h	2008-09-16 00:00:48 +0000
+++ drizzled/rpl_utility.h	2008-10-06 01:30:47 +0000
@@ -138,7 +138,7 @@
   }
 
   ~table_def() {
-    my_free(m_memory, MYF(0));
+    free(m_memory);
     m_type= 0;
     m_size= 0;
   }

=== modified file 'drizzled/scheduler.cc'
--- drizzled/scheduler.cc	2008-09-15 00:32:21 +0000
+++ drizzled/scheduler.cc	2008-10-06 01:30:47 +0000
@@ -108,7 +108,7 @@
 
 thd_scheduler::~thd_scheduler()
 {
-  my_free(io_event, MYF(MY_ALLOW_ZERO_PTR));
+  free(io_event);
 }
 
 

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-10-04 18:42:30 +0000
+++ drizzled/set_var.cc	2008-10-06 01:30:47 +0000
@@ -615,7 +615,7 @@
   var_str->value= res;
   var_str->value_length= new_length;
   rw_unlock(var_mutex);
-  my_free(old_value, MYF(MY_ALLOW_ZERO_PTR));
+  free(old_value);
   return 0;
 }
 
@@ -1581,7 +1581,7 @@
     old= (thd->variables.*offset);
     (thd->variables.*offset)= new_value;
   }
-  my_free((char*) old, MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) old);
   return;
 }
 
@@ -1620,7 +1620,7 @@
     update is aborted
   */
   var->save_result.date_time_format= date_time_format_copy(thd, format);
-  my_free((char*) format, MYF(0));
+  free((char*) format);
   return var->save_result.date_time_format == 0;
 }
 
@@ -2068,7 +2068,7 @@
   old_value= var_str->value;
   var_str->value= res;
   var_str->value_length= str_length;
-  my_free(old_value, MYF(MY_ALLOW_ZERO_PTR));
+  free(old_value);
   if (log_state)
   {
     switch (log_type) {
@@ -3190,7 +3190,7 @@
   {
     if (!new NAMED_LIST(&key_caches, name, length, (uchar*) key_cache))
     {
-      my_free((char*) key_cache, MYF(0));
+      free((char*) key_cache);
       key_cache= 0;
     }
     else
@@ -3229,7 +3229,7 @@
                     KEY_CACHE *key_cache)
 {
   ha_end_key_cache(key_cache);
-  my_free((char*) key_cache, MYF(0));
+  free((char*) key_cache);
 }
 
 

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2008-09-22 23:10:15 +0000
+++ drizzled/set_var.h	2008-10-06 01:30:47 +0000
@@ -1250,7 +1250,7 @@
   }
   ~NAMED_LIST()
   {
-    my_free((uchar*) name, MYF(0));
+    free((uchar*) name);
   }
   friend bool process_key_caches(process_key_cache_t func);
   friend void delete_elements(I_List<NAMED_LIST> *list,

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-10-03 22:38:16 +0000
+++ drizzled/slave.cc	2008-10-06 01:30:47 +0000
@@ -2722,7 +2722,7 @@
                       "master could be corrupt but a more likely cause "
                       "of this is a bug"),
                     errmsg);
-    my_free((char*) tmp_buf, MYF(MY_ALLOW_ZERO_PTR));
+    free((char*) tmp_buf);
     return(1);
   }
 
@@ -2758,7 +2758,7 @@
     delete ev;
     mi->master_log_pos += inc_pos;
     pthread_mutex_unlock(&mi->data_lock);
-    my_free((char*)tmp_buf, MYF(0));
+    free((char*)tmp_buf);
     return(error);
   }
   default:
@@ -2808,7 +2808,7 @@
                       "master could be corrupt but a more likely cause of "
                       "this is a bug"),
                     errmsg);
-    my_free((char*) tmp_buf, MYF(MY_ALLOW_ZERO_PTR));
+    free((char*) tmp_buf);
     return(1);
   }
   pthread_mutex_lock(&mi->data_lock);

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_base.cc	2008-10-06 01:30:47 +0000
@@ -611,7 +611,7 @@
 	unused_tables=0;
     }
   }
-  my_free((uchar*) table,MYF(0));
+  free((uchar*) table);
   return;
 }
 
@@ -622,7 +622,7 @@
   if (table->sort.io_cache)
   {
     close_cached_file(table->sort.io_cache);
-    my_free((uchar*) table->sort.io_cache,MYF(0));
+    free((uchar*) table->sort.io_cache);
     table->sort.io_cache=0;
   }
   return;
@@ -1552,7 +1552,7 @@
   if (free_share)
   {
     free_table_share(table->s);
-    my_free((char*) table,MYF(0));
+    free((char*) table);
   }
   return;
 }
@@ -1907,7 +1907,7 @@
 
   if (my_hash_insert(&open_cache, (uchar*)table))
   {
-    my_free((uchar*) table, MYF(0));
+    free((uchar*) table);
     return(NULL);
   }
 
@@ -2423,13 +2423,13 @@
     /* Combine the follow two */
     if (error > 0)
     {
-      my_free((uchar*)table, MYF(0));
+      free((uchar*)table);
       pthread_mutex_unlock(&LOCK_open);
       return(NULL);
     }
     if (error < 0)
     {
-      my_free((uchar*)table, MYF(0));
+      free((uchar*)table);
       pthread_mutex_unlock(&LOCK_open);
       return(0); // VIEW
     }
@@ -2982,7 +2982,7 @@
     broadcast_refresh();
   if (thd->locked_tables && thd->locked_tables->table_count == 0)
   {
-    my_free((uchar*) thd->locked_tables,MYF(0));
+    free((uchar*) thd->locked_tables);
     thd->locked_tables=0;
   }
   return(found);
@@ -3209,7 +3209,7 @@
                       share->db.str,"`.`",share->table_name.str,"`", NULL);
         thd->binlog_query(THD::STMT_QUERY_TYPE,
                           query, (ulong)(end-query), false, false);
-        my_free(query, MYF(0));
+        free(query);
       }
       else
       {
@@ -3884,7 +3884,7 @@
   {
     /* No need to lock share->mutex as this is not needed for tmp tables */
     free_table_share(share);
-    my_free((char*) tmp_table,MYF(0));
+    free((char*) tmp_table);
     return(0);
   }
 

=== modified file 'drizzled/sql_binlog.cc'
--- drizzled/sql_binlog.cc	2008-08-12 21:13:01 +0000
+++ drizzled/sql_binlog.cc	2008-10-06 01:30:47 +0000
@@ -195,6 +195,6 @@
 
 end:
   thd->rli_fake->clear_tables_to_lock();
-  my_free(buf, MYF(MY_ALLOW_ZERO_PTR));
+  free(buf);
   return;
 }

=== modified file 'drizzled/sql_class.cc'
--- drizzled/sql_class.cc	2008-10-04 18:48:15 +0000
+++ drizzled/sql_class.cc	2008-10-06 01:30:47 +0000
@@ -70,8 +70,8 @@
 {
   char *pos= (char*) entry+ALIGN_SIZE(sizeof(*entry));
   if (entry->value && entry->value != pos)
-    my_free(entry->value, MYF(0));
-  my_free((char*) entry,MYF(0));
+    free(entry->value);
+  free((char*) entry);
 }
 
 bool Key_part_spec::operator==(const Key_part_spec& other) const
@@ -677,9 +677,9 @@
   delete_dynamic(&user_var_events);
   hash_free(&user_vars);
   close_temporary_tables(this);
-  my_free((char*) variables.time_format, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) variables.date_format, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) variables.datetime_format, MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) variables.time_format);
+  free((char*) variables.date_format);
+  free((char*) variables.datetime_format);
   
   if (global_read_lock)
     unlock_global_read_lock(this);
@@ -2262,7 +2262,7 @@
 void xid_free_hash(void *ptr)
 {
   if (!((XID_STATE*)ptr)->in_thd)
-    my_free((uchar*)ptr, MYF(0));
+    free((uchar*)ptr);
 }
 
 bool xid_cache_init()
@@ -2496,7 +2496,7 @@
     ~Row_data_memory()
     {
       if (m_memory != 0 && m_release_memory_on_destruction)
-        my_free((uchar*) m_memory, MYF(MY_WME));
+        free((uchar*) m_memory);
     }
 
     /**

=== modified file 'drizzled/sql_connect.cc'
--- drizzled/sql_connect.cc	2008-10-04 17:33:56 +0000
+++ drizzled/sql_connect.cc	2008-10-06 01:30:47 +0000
@@ -158,7 +158,7 @@
 
 extern "C" void free_user(struct user_conn *uc)
 {
-  my_free((char*) uc,MYF(0));
+  free((char*) uc);
 }
 
 void thd_init_client_charset(THD *thd, uint cs_number)

=== modified file 'drizzled/sql_db.cc'
--- drizzled/sql_db.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_db.cc	2008-10-06 01:30:47 +0000
@@ -80,7 +80,7 @@
 
 void lock_db_free_element(void *ptr)
 {
-  my_free(ptr, MYF(0));
+  free(ptr);
 }
 
 
@@ -150,7 +150,7 @@
 
 void free_dbopt(void *dbopt)
 {
-  my_free((uchar*) dbopt, MYF(0));
+  free((uchar*) dbopt);
 }
 
 
@@ -292,7 +292,7 @@
     
     if ((error= my_hash_insert(&dboptions, (uchar*) opt)))
     {
-      my_free(opt, MYF(0));
+      free(opt);
       goto end;
     }
   }
@@ -1323,7 +1323,7 @@
   if (check_db_name(&new_db_file_name))
   {
     my_error(ER_WRONG_DB_NAME, MYF(0), new_db_file_name.str);
-    my_free(new_db_file_name.str, MYF(0));
+    free(new_db_file_name.str);
 
     if (force_switch)
       mysql_change_db_impl(thd, NULL, thd->variables.collation_server);
@@ -1341,7 +1341,7 @@
                           ER_BAD_DB_ERROR, ER(ER_BAD_DB_ERROR),
                           new_db_file_name.str);
 
-      my_free(new_db_file_name.str, MYF(0));
+      free(new_db_file_name.str);
 
       /* Change db to NULL. */
 
@@ -1356,7 +1356,7 @@
       /* Report an error and free new_db_file_name. */
 
       my_error(ER_BAD_DB_ERROR, MYF(0), new_db_file_name.str);
-      my_free(new_db_file_name.str, MYF(0));
+      free(new_db_file_name.str);
 
       /* The operation failed. */
 

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2008-10-02 05:41:33 +0000
+++ drizzled/sql_delete.cc	2008-10-06 01:30:47 +0000
@@ -873,7 +873,7 @@
                                              OTM_OPEN))))
       (void) rm_temporary_table(table_type, path, frm_only);
     free_table_share(share);
-    my_free((char*) table,MYF(0));
+    free((char*) table);
     /*
       If we return here we will not have logged the truncation to the bin log
       and we will not my_ok() to the client.

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2008-10-02 05:41:33 +0000
+++ drizzled/sql_insert.cc	2008-10-06 01:30:47 +0000
@@ -34,8 +34,8 @@
 #define my_safe_alloca(size, min_length) my_alloca(size)
 #define my_safe_afree(ptr, size, min_length) my_afree(ptr)
 #else
-#define my_safe_alloca(size, min_length) ((size <= min_length) ? my_alloca(size) : my_malloc(size,MYF(0)))
-#define my_safe_afree(ptr, size, min_length) if (size > min_length) my_free(ptr,MYF(0))
+#define my_safe_alloca(size, min_length) ((size <= min_length) ? my_alloca(size) : malloc(size))
+#define my_safe_afree(ptr, size, min_length) if (size > min_length) free(ptr)
 #endif
 
 

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2008-10-02 22:36:13 +0000
+++ drizzled/sql_lex.cc	2008-10-06 01:30:47 +0000
@@ -360,8 +360,8 @@
 {
   if (lex->yacc_yyss)
   {
-    my_free(lex->yacc_yyss, MYF(0));
-    my_free(lex->yacc_yyvs, MYF(0));
+    free(lex->yacc_yyss);
+    free(lex->yacc_yyvs);
     lex->yacc_yyss= 0;
     lex->yacc_yyvs= 0;
   }

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2008-09-23 00:09:32 +0000
+++ drizzled/sql_list.h	2008-10-06 01:30:47 +0000
@@ -507,7 +507,7 @@
   static void operator delete(void* ptr_arg,
                               size_t size __attribute__((unused)))
   {
-     my_free((uchar*)ptr_arg, MYF(MY_WME|MY_ALLOW_ZERO_PTR));
+     free((uchar*)ptr_arg);
   }
 
   inline ilink()

=== modified file 'drizzled/sql_load.cc'
--- drizzled/sql_load.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_load.cc	2008-10-06 01:30:47 +0000
@@ -874,7 +874,7 @@
 		      (is_fifo ? READ_FIFO : READ_CACHE),0L,1,
 		      MYF(MY_WME)))
     {
-      my_free((uchar*) buffer,MYF(0)); /* purecov: inspected */
+      free((uchar*) buffer); /* purecov: inspected */
       error=1;
     }
     else
@@ -903,7 +903,7 @@
   {
     if (need_end_io_cache)
       ::end_io_cache(&cache);
-    my_free((uchar*) buffer,MYF(0));
+    free((uchar*) buffer);
     error=1;
   }
 }

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_plugin.cc	2008-10-06 01:30:47 +0000
@@ -303,7 +303,7 @@
 {
   if (p->handle)
     dlclose(p->handle);
-  my_free(p->dl.str, MYF(MY_ALLOW_ZERO_PTR));
+  free(p->dl.str);
 }
 
 
@@ -724,7 +724,7 @@
 
   pi= plugin_ref_to_int(plugin);
 
-  my_free((uchar*) plugin, MYF(MY_WME));
+  free((uchar*) plugin);
 
   if (lex)
   {
@@ -1576,7 +1576,7 @@
   if (var->flags & PLUGIN_VAR_MEMALLOC)
   {
     *(char **)tgt= my_strdup(*(char **) save, MYF(0));
-    my_free(old, MYF(0));
+    free(old);
   }
 }
 
@@ -1949,7 +1949,7 @@
         flags & PLUGIN_VAR_THDLOCAL && flags & PLUGIN_VAR_MEMALLOC)
     {
       char **ptr= (char**) pivar->real_value_ptr(thd, OPT_SESSION);
-      my_free(*ptr, MYF(MY_WME | MY_FAE | MY_ALLOW_ZERO_PTR));
+      free(*ptr);
       *ptr= NULL;
     }
   }
@@ -1957,7 +1957,7 @@
 
   assert(vars->table_plugin == NULL);
 
-  my_free(vars->dynamic_variables_ptr, MYF(MY_ALLOW_ZERO_PTR));
+  free(vars->dynamic_variables_ptr);
   vars->dynamic_variables_ptr= NULL;
   vars->dynamic_variables_size= 0;
   vars->dynamic_variables_version= 0;
@@ -2008,7 +2008,7 @@
     {
       /* Free the string from global_system_variables. */
       char **valptr= (char**) piv->real_value_ptr(NULL, OPT_GLOBAL);
-      my_free(*valptr, MYF(MY_WME | MY_FAE | MY_ALLOW_ZERO_PTR));
+      free(*valptr);
       *valptr= NULL;
     }
   }

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-10-04 22:16:00 +0000
+++ drizzled/sql_select.cc	2008-10-06 01:30:47 +0000
@@ -13614,7 +13614,7 @@
   if (hash_init(&hash, &my_charset_bin, (uint) file->stats.records, 0, 
 		key_length, (hash_get_key) 0, 0, 0))
   {
-    my_free((char*) key_buffer,MYF(0));
+    free((char*) key_buffer);
     return(1);
   }
 
@@ -13663,14 +13663,14 @@
       (void) my_hash_insert(&hash, org_key_pos);
     key_pos+=extra_length;
   }
-  my_free((char*) key_buffer,MYF(0));
+  free((char*) key_buffer);
   hash_free(&hash);
   file->extra(HA_EXTRA_NO_CACHE);
   (void) file->ha_rnd_end();
   return(0);
 
 err:
-  my_free((char*) key_buffer,MYF(0));
+  free((char*) key_buffer);
   hash_free(&hash);
   file->extra(HA_EXTRA_NO_CACHE);
   (void) file->ha_rnd_end();
@@ -13758,7 +13758,7 @@
 
 		  sizeof(CACHE_FIELD*))))
   {
-    my_free((uchar*) cache->buff,MYF(0));		/* purecov: inspected */
+    free((uchar*) cache->buff);		/* purecov: inspected */
     cache->buff=0;				/* purecov: inspected */
     return(1);				/* purecov: inspected */
   }

=== modified file 'drizzled/sql_show.cc'
--- drizzled/sql_show.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_show.cc	2008-10-06 01:30:47 +0000
@@ -4660,7 +4660,7 @@
 
   return(0);
 err:
-  my_free(schema_table, MYF(0));
+  free(schema_table);
   return(1);
 }
 
@@ -4669,7 +4669,7 @@
   ST_SCHEMA_TABLE *schema_table= (ST_SCHEMA_TABLE *)plugin->data;
 
   if (schema_table && plugin->plugin->deinit)
-    my_free(schema_table, MYF(0));
+    free(schema_table);
 
   return(0);
 }

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2008-09-16 04:26:53 +0000
+++ drizzled/sql_string.h	2008-10-06 01:30:47 +0000
@@ -202,7 +202,7 @@
     {
       alloced=0;
       Alloced_length=0;
-      my_free(Ptr,MYF(0));
+      ::free(Ptr);
       Ptr=0;
       str_length=0;				/* Safety */
     }

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-10-04 18:42:30 +0000
+++ drizzled/sql_table.cc	2008-10-06 01:30:47 +0000
@@ -4872,7 +4872,7 @@
       Note that MERGE tables do not have their children attached here.
     */
     intern_close_table(new_table);
-    my_free(new_table,MYF(0));
+    free(new_table);
   }
   pthread_mutex_lock(&LOCK_open);
   if (error)
@@ -4980,7 +4980,7 @@
     if (t_table)
     {
       intern_close_table(t_table);
-      my_free(t_table, MYF(0));
+      free(t_table);
     }
     else
       sql_print_warning(_("Could not open table %s.%s after rename\n"),

=== modified file 'drizzled/sql_udf.cc'
--- drizzled/sql_udf.cc	2008-09-25 08:57:27 +0000
+++ drizzled/sql_udf.cc	2008-10-06 01:30:47 +0000
@@ -114,7 +114,7 @@
     (void)plugin->plugin->deinit(udff);
 
   if (udff)
-    my_free(udff, MYF(0));
+    free(udff);
 
   return 0;
 }

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-10-04 18:42:30 +0000
+++ drizzled/table.cc	2008-10-06 01:30:47 +0000
@@ -633,7 +633,7 @@
                 plugin_data(tmp_plugin, handlerton *)))
         {
           /* bad file, legacy_db_type did not match the name */
-          my_free(buff, MYF(0));
+          free(buff);
           goto err;
         }
         /*
@@ -649,7 +649,7 @@
         /* purecov: begin inspected */
         error= 8;
         my_error(ER_UNKNOWN_STORAGE_ENGINE, MYF(0), name.str);
-        my_free(buff, MYF(0));
+        free(buff);
         goto err;
         /* purecov: end */
       }
@@ -665,14 +665,14 @@
       //reading long table comment
       if (next_chunk + 2 > buff_end)
       {
-          my_free(buff, MYF(0));
+          free(buff);
           goto err;
       }
       share->comment.length = uint2korr(next_chunk);
       if (! (share->comment.str= strmake_root(&share->mem_root,
                                (char*)next_chunk + 2, share->comment.length)))
       {
-          my_free(buff, MYF(0));
+          free(buff);
           goto err;
       }
       next_chunk+= 2 + share->comment.length;
@@ -1161,12 +1161,12 @@
 
   delete handler_file;
   if (buff)
-    my_free(buff, MYF(0));
+    free(buff);
   return (0);
 
  err:
   if (buff)
-    my_free(buff, MYF(0));
+    free(buff);
   share->error= error;
   share->open_errno= my_errno;
   share->errarg= errarg;
@@ -1443,7 +1443,7 @@
   outparam->file= 0;				// For easier error checking
   outparam->db_stat=0;
   free_root(&outparam->mem_root, MYF(0));       // Safe to call on zeroed root
-  my_free((char*) outparam->alias, MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) outparam->alias);
   return (error);
 }
 
@@ -1463,7 +1463,7 @@
 
   if (table->db_stat)
     error=table->file->close();
-  my_free((char*) table->alias, MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) table->alias);
   table->alias= 0;
   if (table->field)
   {
@@ -1533,7 +1533,7 @@
   if (! save_names)
   {
     if (names)
-      my_free((uchar*) buf,MYF(0));
+      free((uchar*) buf);
   }
   else if (!names)
     memset(save_names, 0, sizeof(save_names));

=== modified file 'drizzled/time.cc'
--- drizzled/time.cc	2008-10-04 22:16:00 +0000
+++ drizzled/time.cc	2008-10-06 01:30:47 +0000
@@ -572,7 +572,7 @@
     format_length	Length of string
 
   NOTES
-    The returned object should be freed with my_free()
+    The returned object should be freed with free()
 
   RETURN
     NULL ponter:	Error
@@ -606,7 +606,7 @@
     format		format to copy
 
   NOTES
-    The returned object should be freed with my_free()
+    The returned object should be freed with free()
 
   RETURN
     NULL ponter:	Error

=== modified file 'drizzled/uniques.cc'
--- drizzled/uniques.cc	2008-10-04 17:33:56 +0000
+++ drizzled/uniques.cc	2008-10-06 01:30:47 +0000
@@ -570,7 +570,7 @@
                   (BUFFPEK *) file_ptrs.buffer + file_ptrs.elements,
                   action, walk_action_arg,
                   tree.compare, tree.custom_arg, &file);
-  my_free((char*) merge_buffer, MYF(0));
+  free((char*) merge_buffer);
   return res;
 }
 

=== modified file 'drizzled/unireg.cc'
--- drizzled/unireg.cc	2008-10-04 18:42:30 +0000
+++ drizzled/unireg.cc	2008-10-06 01:30:47 +0000
@@ -138,7 +138,7 @@
 
   if (error)
   {
-    my_free(screen_buff, MYF(0));
+    free(screen_buff);
     if (! pack_header_error_handler.is_handled)
       return(1);
 
@@ -149,7 +149,7 @@
                     create_fields,info_length,
 		    screens, create_info->table_options, data_offset, db_file))
     {
-      my_free(screen_buff, MYF(0));
+      free(screen_buff);
       return(1);
     }
   }
@@ -186,7 +186,7 @@
     my_error(ER_WRONG_STRING_LENGTH, MYF(0),
              create_info->comment.str,"Table COMMENT",
              (uint) TABLE_COMMENT_MAXLEN);
-    my_free(screen_buff,MYF(0));
+    free(screen_buff);
     return(1);
   }
 
@@ -213,7 +213,7 @@
   if ((file=create_frm(thd, file_name, db, table, reclength, fileinfo,
 		       create_info, keys, key_info)) < 0)
   {
-    my_free(screen_buff, MYF(0));
+    free(screen_buff);
     return(1);
   }
 
@@ -311,8 +311,8 @@
       pack_fields(file, create_fields, data_offset))
     goto err;
 
-  my_free(screen_buff,MYF(0));
-  my_free(keybuff, MYF(0));
+  free(screen_buff);
+  free(keybuff);
 
   if (!(create_info->options & HA_LEX_CREATE_TMP_TABLE) &&
       (my_sync(file, MYF(MY_WME)) ||
@@ -341,8 +341,8 @@
   return(0);
 
 err:
-  my_free(screen_buff, MYF(0));
-  my_free(keybuff, MYF(0));
+  free(screen_buff);
+  free(keybuff);
 err2:
   my_close(file,MYF(MY_WME));
 err3:
@@ -992,7 +992,7 @@
   error= my_write(file, buff, (size_t) reclength,MYF_RW) != 0;
 
 err:
-  my_free(buff, MYF(MY_FAE));
+  free(buff);
   thd->count_cuted_fields= old_count_cuted_fields;
   return(error);
 } /* make_empty_rec */

=== modified file 'extra/my_print_defaults.c'
--- extra/my_print_defaults.c	2008-08-09 04:36:27 +0000
+++ extra/my_print_defaults.c	2008-10-06 01:30:47 +0000
@@ -174,7 +174,7 @@
 
   for (argument= arguments+1 ; *argument ; argument++)
     puts(*argument);
-  my_free((char*) load_default_groups,MYF(0));
+  free((char*) load_default_groups);
   free_defaults(arguments);
 
   exit(error);

=== modified file 'mysys/array.c'
--- mysys/array.c	2008-09-22 23:53:43 +0000
+++ mysys/array.c	2008-10-06 01:30:47 +0000
@@ -303,7 +303,7 @@
   else
   if (array->buffer)
   {
-    my_free(array->buffer,MYF(MY_WME));
+    free(array->buffer);
     array->buffer=0;
     array->elements=array->max_element=0;
   }

=== modified file 'mysys/default_modify.c'
--- mysys/default_modify.c	2008-09-28 03:20:53 +0000
+++ mysys/default_modify.c	2008-10-06 01:30:47 +0000
@@ -216,11 +216,11 @@
   if (my_fclose(cnf_file, MYF(MY_WME)))
     return(1);
 
-  my_free(file_buffer, MYF(0));
+  free(file_buffer);
   return(0);
 
 err:
-  my_free(file_buffer, MYF(0));
+  free(file_buffer);
 malloc_err:
   my_fclose(cnf_file, MYF(0));
   return(1); /* out of resources */

=== modified file 'mysys/list.c'
--- mysys/list.c	2008-08-09 05:28:00 +0000
+++ mysys/list.c	2008-10-06 01:30:47 +0000
@@ -59,8 +59,8 @@
   {
     next=root->next;
     if (free_data)
-      my_free((uchar*) root->data,MYF(0));
-    my_free((uchar*) root,MYF(0));
+      free((uchar*) root->data);
+    free((uchar*) root);
     root=next;
   }
 }

=== modified file 'mysys/mf_cache.c'
--- mysys/mf_cache.c	2008-07-28 22:45:54 +0000
+++ mysys/mf_cache.c	2008-10-06 01:30:47 +0000
@@ -70,8 +70,8 @@
   {
     return(0);
   }
-  my_free(cache->dir,	MYF(MY_ALLOW_ZERO_PTR));
-  my_free(cache->prefix,MYF(MY_ALLOW_ZERO_PTR));
+  free(cache->dir);
+  free(cache->prefix);
   return(1);
 }
 
@@ -107,12 +107,12 @@
       if (cache->file_name)
       {
 	(void) my_delete(cache->file_name,MYF(MY_WME | ME_NOINPUT));
-	my_free(cache->file_name,MYF(0));
+	free(cache->file_name);
       }
 #endif
     }
-    my_free(cache->dir,MYF(MY_ALLOW_ZERO_PTR));
-    my_free(cache->prefix,MYF(MY_ALLOW_ZERO_PTR));
+    free(cache->dir);
+    free(cache->prefix);
   }
   return;
 }

=== modified file 'mysys/mf_iocache.c'
--- mysys/mf_iocache.c	2008-09-22 23:53:43 +0000
+++ mysys/mf_iocache.c	2008-10-06 01:30:47 +0000
@@ -1723,7 +1723,7 @@
     info->alloced_buffer=0;
     if (info->file != -1)			/* File doesn't exist */
       error= my_b_flush_io_cache(info,1);
-    my_free((uchar*) info->buffer,MYF(MY_WME));
+    free((uchar*) info->buffer);
     info->buffer=info->read_pos=(uchar*) 0;
   }
   if (info->type == SEQ_READ_APPEND)
@@ -1807,7 +1807,7 @@
     total_bytes += 4+block_size;
   }
   close_file(&sra_cache);
-  my_free(block,MYF(MY_WME));
+  free(block);
   if (!my_stat(fname,&status,MYF(MY_WME)))
     die("%s failed to stat, but I had just closed it,\
  wonder how that happened");

=== modified file 'mysys/mf_sort.c'
--- mysys/mf_sort.c	2008-08-10 02:05:30 +0000
+++ mysys/mf_sort.c	2008-10-06 01:30:47 +0000
@@ -27,7 +27,7 @@
       (ptr= (uchar**) my_malloc(items*sizeof(char*),MYF(0))))
   {
     radixsort_for_str_ptr((uchar**) base,items,size,ptr);
-    my_free((uchar*) ptr,MYF(0));
+    free((uchar*) ptr);
   }
   else
 #endif

=== modified file 'mysys/mf_tempdir.c'
--- mysys/mf_tempdir.c	2008-08-09 04:30:16 +0000
+++ mysys/mf_tempdir.c	2008-10-06 01:30:47 +0000
@@ -75,7 +75,7 @@
 {
   uint i;
   for (i=0; i<=tmpdir->max; i++)
-    my_free(tmpdir->list[i], MYF(0));
+    free(tmpdir->list[i]);
   delete_dynamic(&tmpdir->full_list);
   pthread_mutex_destroy(&tmpdir->mutex);
 }

=== modified file 'mysys/my_alloc.c'
--- mysys/my_alloc.c	2008-09-22 23:53:43 +0000
+++ mysys/my_alloc.c	2008-10-06 01:30:47 +0000
@@ -116,7 +116,7 @@
         {
           /* remove block from the list and free it */
           *prev= mem->next;
-          my_free(mem, MYF(0));
+          free(mem);
         }
         else
           prev= &mem->next;
@@ -332,13 +332,13 @@
   {
     old=next; next= next->next ;
     if (old != root->pre_alloc)
-      my_free(old,MYF(0));
+      free(old);
   }
   for (next=root->free ; next ;)
   {
     old=next; next= next->next;
     if (old != root->pre_alloc)
-      my_free(old,MYF(0));
+      free(old);
   }
   root->used=root->free=0;
   if (root->pre_alloc)

=== modified file 'mysys/my_bitmap.c'
--- mysys/my_bitmap.c	2008-09-22 23:53:43 +0000
+++ mysys/my_bitmap.c	2008-10-06 01:30:47 +0000
@@ -136,7 +136,7 @@
   {
     if (map->mutex)
       pthread_mutex_destroy(map->mutex);
-    my_free((char*) map->bitmap, MYF(0));
+    free((char*) map->bitmap);
     map->bitmap=0;
   }
   return;

=== modified file 'mysys/my_error.c'
--- mysys/my_error.c	2008-08-05 18:04:31 +0000
+++ mysys/my_error.c	2008-10-06 01:30:47 +0000
@@ -182,7 +182,7 @@
   /* Error numbers must be unique. No overlapping is allowed. */
   if (*search_meh_pp && ((*search_meh_pp)->meh_first <= last))
   {
-    my_free((uchar*)meh_p, MYF(0));
+    free((uchar*)meh_p);
     return 1;
   }
 
@@ -240,7 +240,7 @@
   errmsgs= meh_p->meh_errmsgs;
   bool is_globerrs= meh_p->is_globerrs;
 
-  my_free((uchar*) meh_p, MYF(0));
+  free((uchar*) meh_p);
 
   if (is_globerrs)
     return NULL;
@@ -255,7 +255,7 @@
   for (list= my_errmsgs_globerrs.meh_next; list; list= next)
   {
     next= list->meh_next;
-    my_free((uchar*) list, MYF(0));
+    free((uchar*) list);
   }
   my_errmsgs_list= &my_errmsgs_globerrs;
 }

=== modified file 'mysys/my_file.c'
--- mysys/my_file.c	2008-09-22 23:53:43 +0000
+++ mysys/my_file.c	2008-10-06 01:30:47 +0000
@@ -118,7 +118,7 @@
     /* Copy data back for my_print_open_files */
     memcpy(my_file_info_default, my_file_info,
            sizeof(*my_file_info_default)* MY_NFILE);
-    my_free((char*) my_file_info, MYF(0));
+    free((char*) my_file_info);
     my_file_info= my_file_info_default;
     my_file_limit= MY_NFILE;
   }

=== modified file 'mysys/my_fopen.c'
--- mysys/my_fopen.c	2008-08-09 15:56:14 +0000
+++ mysys/my_fopen.c	2008-10-06 01:30:47 +0000
@@ -104,7 +104,7 @@
   if ((uint) file < my_file_limit && my_file_info[file].type != UNOPEN)
   {
     my_file_info[file].type = UNOPEN;
-    my_free(my_file_info[file].name, MYF(MY_ALLOW_ZERO_PTR));
+    free(my_file_info[file].name);
   }
   pthread_mutex_unlock(&THR_LOCK_open);
   return(err);

=== modified file 'mysys/my_getopt.c'
--- mysys/my_getopt.c	2008-09-22 23:53:43 +0000
+++ mysys/my_getopt.c	2008-10-06 01:30:47 +0000
@@ -636,7 +636,7 @@
       break;
     case GET_STR_ALLOC:
       if ((*((char**) result_pos)))
-	my_free((*(char**) result_pos), MYF(MY_WME | MY_FAE));
+	free((*(char**) result_pos));
       if (!(*((char**) result_pos)= my_strdup(argument, MYF(MY_WME))))
 	return EXIT_OUT_OF_MEMORY;
       break;
@@ -1013,7 +1013,7 @@
     */
     if ((char*) (intptr_t) value)
     {
-      my_free((*(char**) variable), MYF(MY_ALLOW_ZERO_PTR));
+      free((*(char**) variable));
       *((char**) variable)= my_strdup((char*) (intptr_t) value, MYF(MY_WME));
     }
     break;
@@ -1038,7 +1038,7 @@
 {
   switch ((option->var_type & GET_TYPE_MASK)) {
   case GET_STR_ALLOC:
-    my_free((*(char**) variable), MYF(MY_ALLOW_ZERO_PTR));
+    free((*(char**) variable));
     *((char**) variable)= NULL;
     break;
   default: /* dummy default to avoid compiler warnings */

=== modified file 'mysys/my_lib.c'
--- mysys/my_lib.c	2008-10-02 05:41:33 +0000
+++ mysys/my_lib.c	2008-10-06 01:30:47 +0000
@@ -66,7 +66,7 @@
                                     ALIGN_SIZE(sizeof(MY_DIR))));
     free_root((MEM_ROOT*)((char*)buffer + ALIGN_SIZE(sizeof(MY_DIR)) + 
                           ALIGN_SIZE(sizeof(DYNAMIC_ARRAY))), MYF(0));
-    my_free((uchar*) buffer,MYF(0));
+    free((uchar*) buffer);
   }
   return;
 } /* my_dirend */
@@ -110,7 +110,7 @@
   if (my_init_dynamic_array(dir_entries_storage, sizeof(FILEINFO),
                             ENTRIES_START_SIZE, ENTRIES_INCREMENT))
   {
-    my_free((uchar*) buffer,MYF(0));
+    free((uchar*) buffer);
     goto error;
   }
   init_alloc_root(names_storage, NAMES_START_SIZE, NAMES_START_SIZE);

=== modified file 'mysys/my_list.h'
--- mysys/my_list.h	2008-08-09 05:28:00 +0000
+++ mysys/my_list.h	2008-10-06 01:30:47 +0000
@@ -36,7 +36,7 @@
 
 #define list_rest(a) ((a)->next)
 #define list_push(a,b) (a)=list_cons((b),(a))
-#define list_pop(A) {LIST *old=(A); (A)=list_delete(old,old) ; my_free((unsigned char *) old,MYF(MY_FAE)); }
+#define list_pop(A) {LIST *old=(A); (A)=list_delete(old,old) ; free((unsigned char *) old); }
 
 #ifdef	__cplusplus
 }

=== modified file 'mysys/my_malloc.c'
--- mysys/my_malloc.c	2008-08-04 20:38:04 +0000
+++ mysys/my_malloc.c	2008-10-06 01:30:47 +0000
@@ -25,7 +25,7 @@
 
   if (!size)
     size=1;					/* Safety */
-  if ((point = (char*)malloc(size)) == NULL)
+  if ((point = malloc(size)) == NULL)
   {
     my_errno=errno;
     if (my_flags & MY_FAE)
@@ -41,17 +41,6 @@
 } /* my_malloc */
 
 
-	/* Free memory allocated with my_malloc */
-	/*ARGSUSED*/
-
-void my_no_flags_free(void* ptr)
-{
-  if (ptr)
-    free(ptr);
-  return;
-} /* my_free */
-
-
 	/* malloc and copy */
 
 void* my_memdup(const void *from, size_t length, myf my_flags)

=== modified file 'mysys/my_open.c'
--- mysys/my_open.c	2008-07-17 21:15:06 +0000
+++ mysys/my_open.c	2008-10-06 01:30:47 +0000
@@ -77,7 +77,7 @@
   }
   if ((uint) fd < my_file_limit && my_file_info[fd].type != UNOPEN)
   {
-    my_free(my_file_info[fd].name, MYF(0));
+    free(my_file_info[fd].name);
 #if !defined(HAVE_PREAD)
     pthread_mutex_destroy(&my_file_info[fd].mutex);
 #endif

=== modified file 'mysys/my_realloc.c'
--- mysys/my_realloc.c	2008-07-17 21:15:06 +0000
+++ mysys/my_realloc.c	2008-10-06 01:30:47 +0000
@@ -39,7 +39,7 @@
   if (!(point = malloc(size)))
   {
     if (my_flags & MY_FREE_ON_ERROR)
-      my_free(oldpoint,my_flags);
+      free(oldpoint);
     if (my_flags & MY_HOLD_ON_ERROR)
       return(oldpoint);
     my_errno=errno;
@@ -55,7 +55,7 @@
   if ((point= (uchar*) realloc(oldpoint,size)) == NULL)
   {
     if (my_flags & MY_FREE_ON_ERROR)
-      my_free(oldpoint, my_flags);
+      free(oldpoint);
     if (my_flags & MY_HOLD_ON_ERROR)
       return(oldpoint);
     my_errno=errno;

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2008-10-05 01:41:06 +0000
+++ mysys/my_sys.h	2008-10-06 01:30:47 +0000
@@ -144,8 +144,6 @@
 extern char *my_strdup(const char *from,myf MyFlags);
 extern char *my_strndup(const char *from, size_t length,
 				   myf MyFlags);
-/* we do use FG (as a no-op) in below so that a typo on FG is caught */
-#define my_free(PTR,FG) ((void)FG,my_no_flags_free(PTR))
 #define CALLER_INFO_PROTO   /* nothing */
 #define CALLER_INFO         /* nothing */
 #define ORIG_CALLER_INFO    /* nothing */
@@ -158,8 +156,8 @@
 #define my_alloca(SZ) alloca((size_t) (SZ))
 #define my_afree(PTR) {}
 #else
-#define my_alloca(SZ) my_malloc(SZ,MYF(0))
-#define my_afree(PTR) my_free(PTR,MYF(MY_WME))
+#define my_alloca(SZ) malloc(SZ)
+#define my_afree(PTR) free(PTR)
 #endif /* HAVE_ALLOCA */
 
 #ifndef errno				/* did we already get it? */
@@ -702,7 +700,6 @@
 #define sort_dynamic(A,cmp) my_qsort((A)->buffer, (A)->elements, (A)->size_of_element, (cmp))
 
 #define my_malloc_lock(A,B) my_malloc((A),(B))
-#define my_free_lock(A,B) my_free((A),(B))
 #define alloc_root_inited(A) ((A)->min_malloc != 0)
 #define ALLOC_ROOT_MIN_BLOCK_SIZE (MALLOC_OVERHEAD + sizeof(USED_MEM) + 8)
 #define clear_alloc_root(A) do { (A)->free= (A)->used= (A)->pre_alloc= 0; (A)->min_malloc=0;} while(0)

=== modified file 'mysys/my_tree.h'
--- mysys/my_tree.h	2008-08-10 22:14:13 +0000
+++ mysys/my_tree.h	2008-10-06 01:30:47 +0000
@@ -66,7 +66,7 @@
 	       tree_element_free free_element, void *custom_arg);
 void delete_tree(TREE*);
 void reset_tree(TREE*);
-  /* similar to delete tree, except we do not my_free() blocks in mem_root
+  /* similar to delete tree, except we do not free() blocks in mem_root
    */
 #define is_tree_inited(tree) ((tree)->root != 0)
 

=== modified file 'mysys/queues.c'
--- mysys/queues.c	2008-07-17 20:11:46 +0000
+++ mysys/queues.c	2008-10-06 01:30:47 +0000
@@ -191,7 +191,7 @@
 {
   if (queue->root)
   {
-    my_free((uchar*) queue->root,MYF(0));
+    free((uchar*) queue->root);
     queue->root=0;
   }
   return;

=== modified file 'mysys/test_charset.c'
--- mysys/test_charset.c	2008-08-12 21:13:01 +0000
+++ mysys/test_charset.c	2008-10-06 01:30:47 +0000
@@ -77,11 +77,11 @@
 #ifdef NOT_USED_ANYMORE
   cs_list = list_charsets(MYF(MY_CS_COMPILED | MY_CS_CONFIG));
   printf("LIST OF CHARSETS (compiled + *.conf):\n%s\n", cs_list);
-  my_free(cs_list,MYF(0));
+  free(cs_list);
 
   cs_list = list_charsets(MYF(MY_CS_INDEX | MY_CS_LOADED));
   printf("LIST OF CHARSETS (index + loaded):\n%s\n", cs_list);
-  my_free(cs_list,MYF(0));
+  free(cs_list);
 #endif
 
   return 0;

=== modified file 'mysys/thr_alarm.c'
--- mysys/thr_alarm.c	2008-10-04 18:42:30 +0000
+++ mysys/thr_alarm.c	2008-10-06 01:30:47 +0000
@@ -250,7 +250,7 @@
     {
       queue_remove(&alarm_queue,i),MYF(0);
       if (alarm_data->malloced)
-	my_free((uchar*) alarm_data,MYF(0));
+	free((uchar*) alarm_data);
       found++;
       break;
     }

=== modified file 'mysys/tree.c'
--- mysys/tree.c	2008-08-10 22:14:13 +0000
+++ mysys/tree.c	2008-10-06 01:30:47 +0000
@@ -149,7 +149,7 @@
 
 void delete_tree(TREE* tree)
 {
-  free_tree(tree, MYF(0)); /* my_free() mem_root if applicable */
+  free_tree(tree, MYF(0)); /* free() mem_root if applicable */
 }
 
 void reset_tree(TREE* tree)
@@ -168,7 +168,7 @@
       (*tree->free)(ELEMENT_KEY(tree,element), free_free, tree->custom_arg);
     delete_tree_element(tree,element->right);
     if (tree->with_delete)
-      my_free((char*) element,MYF(0));
+      free((char*) element);
   }
 }
 
@@ -309,7 +309,7 @@
   if (tree->free)
     (*tree->free)(ELEMENT_KEY(tree,element), free_free, tree->custom_arg);
   tree->allocated-= sizeof(TREE_ELEMENT) + tree->size_of_element + key_size;
-  my_free((uchar*) element,MYF(0));
+  free((uchar*) element);
   tree->elements_in_tree--;
   return 0;
 }

=== modified file 'storage/archive/archive_reader.c'
--- storage/archive/archive_reader.c	2008-07-29 21:59:54 +0000
+++ storage/archive/archive_reader.c	2008-10-06 01:30:47 +0000
@@ -166,7 +166,7 @@
       ptr= (char *)my_malloc(sizeof(char) * reader_handle.frm_length, MYF(0));
       azread_frm(&reader_handle, ptr);
       azwrite_frm(&writer_handle, ptr, reader_handle.frm_length);
-      my_free(ptr, MYF(0));
+      free(ptr);
     }
 
     if (reader_handle.comment_length)
@@ -175,7 +175,7 @@
       ptr= (char *)my_malloc(sizeof(char) * reader_handle.comment_length, MYF(0));
       azread_comment(&reader_handle, ptr);
       azwrite_comment(&writer_handle, ptr, reader_handle.comment_length);
-      my_free(ptr, MYF(0));
+      free(ptr);
     }
 
     while ((read= azread_row(&reader_handle, &error)))
@@ -212,7 +212,7 @@
     azread_frm(&reader_handle, ptr);
     my_write(frm_file, (uchar*) ptr, reader_handle.frm_length, MYF(0));
     my_close(frm_file, MYF(0));
-    my_free(ptr, MYF(0));
+    free(ptr);
   }
 
 end:

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-10-04 18:42:30 +0000
+++ storage/archive/ha_archive.cc	2008-10-06 01:30:47 +0000
@@ -378,7 +378,7 @@
       if (azclose(&(share->archive_write)))
         rc= 1;
     }
-    my_free((uchar*) share, MYF(0));
+    free((uchar*) share);
   }
   pthread_mutex_unlock(&archive_mutex);
 
@@ -627,7 +627,7 @@
         {
           my_read(frm_file, frm_ptr, file_stat.st_size, MYF(0));
           azwrite_frm(&create_stream, (char *)frm_ptr, file_stat.st_size);
-          my_free((uchar*)frm_ptr, MYF(0));
+          free((uchar*)frm_ptr);
         }
       }
       my_close(frm_file, MYF(0));
@@ -835,7 +835,7 @@
 error:
   pthread_mutex_unlock(&share->mutex);
   if (read_buf)
-    my_free((uchar*) read_buf, MYF(0));
+    free((uchar*) read_buf);
 
   return(rc);
 }
@@ -1431,7 +1431,7 @@
   if (!(r->buffer= (uchar*) my_malloc(r->length,
                                     MYF(MY_WME))))
   {
-    my_free((char*) r, MYF(MY_ALLOW_ZERO_PTR));
+    free((char*) r);
     return(NULL); /* purecov: inspected */
   }
 
@@ -1440,8 +1440,8 @@
 
 void ha_archive::destroy_record_buffer(archive_record_buffer *r) 
 {
-  my_free((char*) r->buffer, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((char*) r, MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) r->buffer);
+  free((char*) r);
   return;
 }
 

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2008-10-04 18:42:30 +0000
+++ storage/blackhole/ha_blackhole.cc	2008-10-06 01:30:47 +0000
@@ -236,7 +236,7 @@
     
     if (my_hash_insert(&blackhole_open_tables, (uchar*) share))
     {
-      my_free((uchar*) share, MYF(0));
+      free((uchar*) share);
       share= NULL;
       goto error;
     }
@@ -261,7 +261,7 @@
 static void blackhole_free_key(st_blackhole_share *share)
 {
   thr_lock_delete(&share->lock);
-  my_free((uchar*) share, MYF(0));
+  free((uchar*) share);
 }
 
 static uchar* blackhole_get_key(st_blackhole_share *share, size_t *length,

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-10-04 18:42:30 +0000
+++ storage/csv/ha_tina.cc	2008-10-06 01:30:47 +0000
@@ -201,7 +201,7 @@
 
 error:
   pthread_mutex_unlock(&tina_mutex);
-  my_free((uchar*) share, MYF(0));
+  free((uchar*) share);
 
   return NULL;
 }
@@ -367,7 +367,7 @@
     hash_delete(&tina_open_tables, (uchar*) share);
     thr_lock_delete(&share->lock);
     pthread_mutex_destroy(&share->mutex);
-    my_free((uchar*) share, MYF(0));
+    free((uchar*) share);
   }
   pthread_mutex_unlock(&tina_mutex);
 
@@ -1316,7 +1316,7 @@
 
   free_root(&blobroot, MYF(0));
 
-  my_free((char*)buf, MYF(0));
+  free((char*)buf);
 
   if (rc == HA_ERR_END_OF_FILE)
   {
@@ -1504,7 +1504,7 @@
   
   free_root(&blobroot, MYF(0));
 
-  my_free((char*)buf, MYF(0));
+  free((char*)buf);
   thd_proc_info(thd, old_proc_info);
 
   if ((rc != HA_ERR_END_OF_FILE) || count)

=== modified file 'storage/csv/ha_tina.h'
--- storage/csv/ha_tina.h	2008-08-16 22:34:15 +0000
+++ storage/csv/ha_tina.h	2008-10-06 01:30:47 +0000
@@ -89,7 +89,7 @@
   ~ha_tina()
   {
     if (chain_alloced)
-      my_free(chain, 0);
+      free(chain);
     if (file_buff)
       delete file_buff;
   }

=== modified file 'storage/csv/transparent_file.cc'
--- storage/csv/transparent_file.cc	2008-09-23 14:19:48 +0000
+++ storage/csv/transparent_file.cc	2008-10-06 01:30:47 +0000
@@ -27,7 +27,7 @@
 
 Transparent_file::~Transparent_file()
 { 
-  my_free((uchar*)buff, MYF(MY_ALLOW_ZERO_PTR)); 
+  free((uchar*)buff); 
 }
 
 void Transparent_file::init_buff(File filedes_arg)

=== modified file 'storage/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2008-10-04 18:42:30 +0000
+++ storage/heap/ha_heap.cc	2008-10-06 01:30:47 +0000
@@ -645,7 +645,7 @@
 				       parts * sizeof(HA_KEYSEG),
 				       MYF(MY_WME))))
   {
-    my_free((void *) columndef, MYF(0));
+    free((void *) columndef);
     return my_errno;
   }
 
@@ -768,8 +768,8 @@
          (uint32_t) share->max_rows, (uint32_t) share->min_rows,
          &hp_create_info, &internal_share);
   
-  my_free((uchar*) keydef, MYF(0));
-  my_free((void *) columndef, MYF(0));
+  free((uchar*) keydef);
+  free((void *) columndef);
   assert(file == 0);
   return (error);
 }

=== modified file 'storage/heap/hp_block.c'
--- storage/heap/hp_block.c	2008-08-10 04:50:31 +0000
+++ storage/heap/hp_block.c	2008-10-06 01:30:47 +0000
@@ -143,7 +143,7 @@
   }
   if ((uchar*) pos != last_pos)
   {
-    my_free((uchar*) pos,MYF(0));
+    free((uchar*) pos);
     return last_pos;
   }
   return next_ptr;			/* next memory position */

=== modified file 'storage/heap/hp_close.c'
--- storage/heap/hp_close.c	2008-07-16 16:14:22 +0000
+++ storage/heap/hp_close.c	2008-10-06 01:30:47 +0000
@@ -38,6 +38,6 @@
     heap_open_list=list_delete(heap_open_list,&info->open_list);
   if (!--info->s->open_count && info->s->delete_on_close)
     hp_free(info->s);				/* Table was deleted */
-  my_free((uchar*) info,MYF(0));
+  free((uchar*) info);
   return(error);
 }

=== modified file 'storage/heap/hp_create.c'
--- storage/heap/hp_create.c	2008-09-23 14:19:48 +0000
+++ storage/heap/hp_create.c	2008-10-06 01:30:47 +0000
@@ -338,7 +338,7 @@
     /* Must be allocated separately for rename to work */
     if (!(share->name= my_strdup(name,MYF(0))))
     {
-      my_free((uchar*) share,MYF(0));
+      free((uchar*) share);
       goto err;
     }
     thr_lock_init(&share->lock);
@@ -445,7 +445,7 @@
   hp_clear(share);			/* Remove blocks from memory */
   thr_lock_delete(&share->lock);
   pthread_mutex_destroy(&share->intern_lock);
-  my_free((uchar*) share->name, MYF(0));
-  my_free((uchar*) share, MYF(0));
+  free((uchar*) share->name);
+  free((uchar*) share);
   return;
 }

=== modified file 'storage/heap/hp_rename.c'
--- storage/heap/hp_rename.c	2008-07-16 16:14:22 +0000
+++ storage/heap/hp_rename.c	2008-10-06 01:30:47 +0000
@@ -32,7 +32,7 @@
       pthread_mutex_unlock(&THR_LOCK_heap);
       return(my_errno);
     }
-    my_free(info->name,MYF(0));
+    free(info->name);
     info->name=name_buff;
   }
   pthread_mutex_unlock(&THR_LOCK_heap);

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-10-04 18:42:30 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-10-06 01:30:47 +0000
@@ -1265,7 +1265,7 @@
 				namelen = filename_to_tablename(temp_name,
 						qname, qnamelen);
 			}
-			my_free(temp_name, MYF(0));
+			free(temp_name);
 		}
 	}
 
@@ -1292,7 +1292,7 @@
 		putc(q, f);
 	}
 
-	my_free(qname, MYF(MY_ALLOW_ZERO_PTR));
+	free(qname);
 }
 
 /**************************************************************************
@@ -1514,8 +1514,8 @@
 	if (ret == FALSE) {
 		sql_print_error(
 			"InnoDB: syntax error in innodb_data_file_path");
-		my_free(internal_innobase_data_file_path,
-						MYF(MY_ALLOW_ZERO_PTR));
+                if (internal_innobase_data_file_path)
+			free(internal_innobase_data_file_path);
 		goto error;
 	}
 
@@ -1545,8 +1545,8 @@
 	  sql_print_error("syntax error in innodb_log_group_home_dir, or a "
 			  "wrong number of mirrored log groups");
 
-		my_free(internal_innobase_data_file_path,
-						MYF(MY_ALLOW_ZERO_PTR));
+		if (internal_innobase_data_file_path)
+			free(internal_innobase_data_file_path);
 		goto error;
 	}
 
@@ -1626,8 +1626,8 @@
 	err = innobase_start_or_create_for_mysql();
 
 	if (err != DB_SUCCESS) {
-		my_free(internal_innobase_data_file_path,
-						MYF(MY_ALLOW_ZERO_PTR));
+                if (internal_innobase_data_file_path)
+                        free(internal_innobase_data_file_path);
 		goto error;
 	}
 
@@ -1663,8 +1663,8 @@
 			err = 1;
 		}
 		hash_free(&innobase_open_tables);
-		my_free(internal_innobase_data_file_path,
-						MYF(MY_ALLOW_ZERO_PTR));
+                if (internal_innobase_data_file_path)
+                        free(internal_innobase_data_file_path);
 		pthread_mutex_destroy(&innobase_share_mutex);
 		pthread_mutex_destroy(&prepare_commit_mutex);
 		pthread_mutex_destroy(&commit_threads_m);
@@ -2266,7 +2266,7 @@
 				"how you can resolve the problem.\n",
 				norm_name);
 		free_share(share);
-		my_free(upd_buff, MYF(0));
+		free(upd_buff);
 		my_errno = ENOENT;
 
 		return(HA_ERR_NO_SUCH_TABLE);
@@ -2282,7 +2282,7 @@
 				"how you can resolve the problem.\n",
 				norm_name);
 		free_share(share);
-		my_free(upd_buff, MYF(0));
+		free(upd_buff);
 		my_errno = ENOENT;
 
 		dict_table_decrement_handle_count(ib_table);
@@ -2387,7 +2387,7 @@
 
 	row_prebuilt_free(prebuilt);
 
-	my_free(upd_buff, MYF(0));
+	free(upd_buff);
 	free_share(share);
 
 	/* Tell InnoDB server that there might be work for
@@ -4715,7 +4715,7 @@
 
 	error = convert_error_code_to_mysql(error, NULL);
 
-	my_free(field_lengths, MYF(0));
+	free(field_lengths);
 
 	return(error);
 }
@@ -5166,7 +5166,7 @@
 	}
 
 	error = row_drop_database_for_mysql(namebuf, trx);
-	my_free(namebuf, MYF(0));
+	free(namebuf);
 
 	/* Flush the log to reduce probability that the .frm files and
 	the InnoDB data dictionary get out-of-sync if the user runs
@@ -5351,7 +5351,7 @@
 	dtuple_free_for_mysql(heap1);
 	dtuple_free_for_mysql(heap2);
 
-	my_free(key_val_buff2, MYF(0));
+	free(key_val_buff2);
 
 	prebuilt->trx->op_info = (char*)"";
 
@@ -6075,7 +6075,7 @@
 	char*	str)	/* in, own: create info string to free	*/
 {
 	if (str) {
-		my_free(str, MYF(0));
+		free(str);
 	}
 }
 
@@ -6613,7 +6613,7 @@
 			STRING_WITH_LEN(""), str, flen)) {
 		result= TRUE;
 	}
-	my_free(str, MYF(0));
+	free(str);
 
 	return(FALSE);
 }
@@ -6767,7 +6767,7 @@
 		if (my_hash_insert(&innobase_open_tables,
 				(uchar*) share)) {
 			pthread_mutex_unlock(&innobase_share_mutex);
-			my_free(share,0);
+			free(share);
 
 			return 0;
 		}
@@ -6790,7 +6790,7 @@
 		hash_delete(&innobase_open_tables, (uchar*) share);
 		thr_lock_delete(&share->lock);
 		pthread_mutex_destroy(&share->mutex);
-		my_free(share, MYF(0));
+		free(share);
 	}
 
 	pthread_mutex_unlock(&innobase_share_mutex);

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-10-04 18:42:30 +0000
+++ storage/myisam/ha_myisam.cc	2008-10-06 01:30:47 +0000
@@ -585,7 +585,7 @@
     recinfo must be freed.
   */
   if (recinfo)
-    my_free((uchar*) recinfo, MYF(0));
+    free((uchar*) recinfo);
   return my_errno;
 }
 
@@ -1656,7 +1656,7 @@
                    records, recinfo,
                    0, (MI_UNIQUEDEF*) 0,
                    &create_info, create_flags);
-  my_free((uchar*) recinfo, MYF(0));
+  free((uchar*) recinfo);
   return(error);
 }
 

=== modified file 'storage/myisam/mf_keycache.c'
--- storage/myisam/mf_keycache.c	2008-08-11 04:35:13 +0000
+++ storage/myisam/mf_keycache.c	2008-10-06 01:30:47 +0000
@@ -408,7 +408,7 @@
   }
   if (keycache->block_root)
   {
-    my_free((uchar*) keycache->block_root, MYF(0));
+    free((uchar*) keycache->block_root);
     keycache->block_root= NULL;
   }
   my_errno= error;
@@ -618,7 +618,7 @@
     {
       free(keycache->block_mem);
       keycache->block_mem= NULL;
-      my_free((uchar*) keycache->block_root, MYF(0));
+      free((uchar*) keycache->block_root);
       keycache->block_root= NULL;
     }
     keycache->disk_blocks= -1;
@@ -3573,7 +3573,7 @@
 
 err:
   if (cache != cache_buff)
-    my_free((uchar*) cache, MYF(0));
+    free((uchar*) cache);
   if (last_errno)
     errno=last_errno;                /* Return first error */
   return(last_errno != 0);

=== modified file 'storage/myisam/mf_keycaches.c'
--- storage/myisam/mf_keycaches.c	2008-08-09 06:20:11 +0000
+++ storage/myisam/mf_keycaches.c	2008-10-06 01:30:47 +0000
@@ -70,7 +70,7 @@
 
 static void safe_hash_entry_free(SAFE_HASH_ENTRY *entry)
 {
-  my_free((uchar*) entry, MYF(0));
+  free((uchar*) entry);
   return;
 }
 
@@ -228,7 +228,7 @@
     if (my_hash_insert(&hash->hash, (uchar*) entry))
     {
       /* This can only happen if hash got out of memory */
-      my_free((char*) entry, MYF(0));
+      free((char*) entry);
       error= 1;
       goto end;
     }

=== modified file 'storage/myisam/mi_check.c'
--- storage/myisam/mi_check.c	2008-10-05 01:08:52 +0000
+++ storage/myisam/mi_check.c	2008-10-06 01:30:47 +0000
@@ -1268,12 +1268,12 @@
     printf("Lost space:   %12s    Linkdata:     %10s\n",
 	   llstr(empty,llbuff),llstr(link_used,llbuff2));
   }
-  my_free(mi_get_rec_buff_ptr(info, record), MYF(0));
+  free(mi_get_rec_buff_ptr(info, record));
   return (error);
  err:
   mi_check_print_error(param,"got error: %d when reading datafile at record: %s",my_errno, llstr(records,llbuff));
  err2:
-  my_free(mi_get_rec_buff_ptr(info, record), MYF(0));
+  free(mi_get_rec_buff_ptr(info, record));
   param->testflag|=T_RETRY_WITHOUT_QUICK;
   return(1);
 } /* chk_data_link */
@@ -1641,11 +1641,17 @@
     }
     mi_mark_crashed_on_repair(info);
   }
-  my_free(mi_get_rec_buff_ptr(info, sort_param.rec_buff),
-                            MYF(MY_ALLOW_ZERO_PTR));
-  my_free(mi_get_rec_buff_ptr(info, sort_param.record),
-          MYF(MY_ALLOW_ZERO_PTR));
-  my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
+
+  void * rec_buff_ptr= NULL;
+  rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.rec_buff);
+  if (rec_buff_ptr != NULL)
+    free(rec_buff_ptr);
+  rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.record);
+  if (rec_buff_ptr != NULL)
+    free(rec_buff_ptr);
+  rec_buff_ptr= NULL;
+
+  free(sort_info.buff);
   end_io_cache(&param->read_cache);
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
   end_io_cache(&info->rec_cache);
@@ -1997,11 +2003,11 @@
       my_write(to,(uchar*) buff,(uint) length,param->myf_rw))
     goto err;
   if (buff != tmp_buff)
-    my_free(buff,MYF(0));
+    free(buff);
   return(0);
 err:
   if (buff != tmp_buff)
-    my_free(buff,MYF(0));
+    free(buff);
   mi_check_print_error(param,"Can't copy %s to tempfile, error %d",
 		       type,my_errno);
   return(1);
@@ -2342,12 +2348,17 @@
     share->state.changed&= ~STATE_NOT_OPTIMIZED_KEYS;
   share->state.changed|=STATE_NOT_SORTED_PAGES;
 
-  my_free(mi_get_rec_buff_ptr(info, sort_param.rec_buff),
-                            MYF(MY_ALLOW_ZERO_PTR));
-  my_free(mi_get_rec_buff_ptr(info, sort_param.record),
-          MYF(MY_ALLOW_ZERO_PTR));
-  my_free((uchar*) sort_info.key_block,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
+  void * rec_buff_ptr= NULL;
+  rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.rec_buff);
+  if (rec_buff_ptr != NULL)
+    free(rec_buff_ptr);
+  rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.record);
+  if (rec_buff_ptr != NULL)
+    free(rec_buff_ptr);
+  rec_buff_ptr= NULL;
+
+  free((uchar*) sort_info.key_block);
+  free(sort_info.buff);
   end_io_cache(&param->read_cache);
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
   if (!got_error && (param->testflag & T_UNPACK))
@@ -2854,9 +2865,9 @@
   pthread_cond_destroy (&sort_info.cond);
   pthread_mutex_destroy(&sort_info.mutex);
 
-  my_free((uchar*) sort_info.key_block,MYF(MY_ALLOW_ZERO_PTR));
-  my_free((uchar*) sort_param,MYF(MY_ALLOW_ZERO_PTR));
-  my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
+  free((uchar*) sort_info.key_block);
+  free((uchar*) sort_param);
+  free(sort_info.buff);
   end_io_cache(&param->read_cache);
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
   if (!got_error && (param->testflag & T_UNPACK))
@@ -3972,7 +3983,7 @@
     if (my_errno != HA_ERR_END_OF_FILE)
     {
       mi_extra(info,HA_EXTRA_NO_KEYREAD,0);
-      my_free(mi_get_rec_buff_ptr(info, record), MYF(0));
+      free(mi_get_rec_buff_ptr(info, record));
       mi_check_print_error(param,"%d when reading last record",my_errno);
       return;
     }
@@ -3987,7 +3998,7 @@
       set_if_bigger(info->s->state.auto_increment, param->auto_increment_value);
   }
   mi_extra(info,HA_EXTRA_NO_KEYREAD,0);
-  my_free(mi_get_rec_buff_ptr(info, record), MYF(0));
+  free(mi_get_rec_buff_ptr(info, record));
   update_state_info(param, info, UPDATE_AUTO_INC);
   return;
 }

=== modified file 'storage/myisam/mi_close.c'
--- storage/myisam/mi_close.c	2008-09-23 14:19:48 +0000
+++ storage/myisam/mi_close.c	2008-10-06 01:30:47 +0000
@@ -56,7 +56,9 @@
   myisam_open_list=list_delete(myisam_open_list,&info->open_list);
   pthread_mutex_unlock(&share->intern_lock);
 
-  my_free(mi_get_rec_buff_ptr(info, info->rec_buff), MYF(MY_ALLOW_ZERO_PTR));
+  void * rec_buff_ptr= mi_get_rec_buff_ptr(info, info->rec_buff);
+  if (rec_buff_ptr != NULL)
+    free(rec_buff_ptr);
   if (flag)
   {
     if (share->kfile >= 0 &&
@@ -79,8 +81,8 @@
     }
     if (share->decode_trees)
     {
-      my_free((uchar*) share->decode_trees,MYF(0));
-      my_free((uchar*) share->decode_tables,MYF(0));
+      free((uchar*) share->decode_trees);
+      free((uchar*) share->decode_tables);
     }
     thr_lock_delete(&share->lock);
     pthread_mutex_destroy(&share->intern_lock);
@@ -92,14 +94,14 @@
 	rwlock_destroy(&share->key_root_lock[i]);
       }
     }
-    my_free((uchar*) info->s,MYF(0));
+    free((uchar*) info->s);
   }
   pthread_mutex_unlock(&THR_LOCK_myisam);
 
   if (info->dfile >= 0 && my_close(info->dfile,MYF(0)))
     error = my_errno;
 
-  my_free((uchar*) info,MYF(0));
+  free((uchar*) info);
 
   if (error)
   {

=== modified file 'storage/myisam/mi_create.c'
--- storage/myisam/mi_create.c	2008-09-23 14:19:48 +0000
+++ storage/myisam/mi_create.c	2008-10-06 01:30:47 +0000
@@ -684,7 +684,7 @@
   pthread_mutex_unlock(&THR_LOCK_myisam);
   if (my_close(file,MYF(0)))
     goto err;
-  my_free((char*) rec_per_key_part,MYF(0));
+  free((char*) rec_per_key_part);
   return(0);
 
 err:
@@ -708,7 +708,7 @@
                                        MY_UNPACK_FILENAME | MY_APPEND_EXT),
 			     MYF(0));
   }
-  my_free((char*) rec_per_key_part, MYF(0));
+  free((char*) rec_per_key_part);
   return(my_errno=save_errno);		/* return the fatal errno */
 }
 

=== modified file 'storage/myisam/mi_dynrec.c'
--- storage/myisam/mi_dynrec.c	2008-10-05 01:08:52 +0000
+++ storage/myisam/mi_dynrec.c	2008-10-06 01:30:47 +0000
@@ -49,8 +49,8 @@
 /* Play it safe; We have a small stack when using threads */
 #undef my_alloca
 #undef my_afree
-#define my_alloca(A) my_malloc((A),MYF(0))
-#define my_afree(A) my_free((A),MYF(0))
+#define my_alloca(A) malloc((A))
+#define my_afree(A) free((A))
 
 	/* Interface function from MI_INFO */
 
@@ -1518,7 +1518,9 @@
     error=mi_unique_comp(def, record, old_record, def->null_are_equal);
   if (info->s->base.blobs)
   {
-    my_free(mi_get_rec_buff_ptr(info, info->rec_buff), MYF(MY_ALLOW_ZERO_PTR));
+    void * rec_buff_ptr= mi_get_rec_buff_ptr(info, info->rec_buff);
+    if (rec_buff_ptr != NULL)
+      free(rec_buff_ptr);
     info->rec_buff=rec_buff;
   }
   my_afree(old_record);

=== modified file 'storage/myisam/mi_open.c'
--- storage/myisam/mi_open.c	2008-10-04 18:42:30 +0000
+++ storage/myisam/mi_open.c	2008-10-06 01:30:47 +0000
@@ -517,7 +517,7 @@
     mi_report_error(save_errno, name);
   switch (errpos) {
   case 6:
-    my_free((uchar*) m_info,MYF(0));
+    free((uchar*) m_info);
     /* fall through */
   case 5:
     my_close(info.dfile,MYF(0));
@@ -525,7 +525,7 @@
       break;					/* Don't remove open table */
     /* fall through */
   case 4:
-    my_free((uchar*) share,MYF(0));
+    free((uchar*) share);
     /* fall through */
   case 3:
     /* fall through */

=== modified file 'storage/myisam/mi_preload.c'
--- storage/myisam/mi_preload.c	2008-08-11 20:00:23 +0000
+++ storage/myisam/mi_preload.c	2008-10-06 01:30:47 +0000
@@ -111,11 +111,11 @@
   }
   while (pos != key_file_length);
 
-  my_free((char*) buff, MYF(0));
+  free((char*) buff);
   return(0);
 
 err:
-  my_free((char*) buff, MYF(MY_ALLOW_ZERO_PTR));
+  free((char*) buff);
   return(my_errno= errno);
 }
 

=== modified file 'storage/myisam/mi_write.c'
--- storage/myisam/mi_write.c	2008-09-23 14:19:48 +0000
+++ storage/myisam/mi_write.c	2008-10-06 01:30:47 +0000
@@ -864,7 +864,7 @@
         delete_tree(& info->bulk_insert[i]);
       }
     }
-    my_free((void *)info->bulk_insert, MYF(0));
+    free((void *)info->bulk_insert);
     info->bulk_insert=0;
   }
 }

=== modified file 'storage/myisam/myisamchk.c'
--- storage/myisam/myisamchk.c	2008-10-04 18:42:30 +0000
+++ storage/myisam/myisamchk.c	2008-10-06 01:30:47 +0000
@@ -1553,11 +1553,13 @@
   {
     my_afree((uchar*) temp_buff);
   }
-  my_free(mi_get_rec_buff_ptr(info, sort_param.record),
-          MYF(MY_ALLOW_ZERO_PTR));
+  void * rec_buff_ptr= mi_get_rec_buff_ptr(info, sort_param.record);
+  if (rec_buff_ptr != NULL)
+    free(rec_buff_ptr);
+
   info->opt_flag&= ~(READ_CACHE_USED | WRITE_CACHE_USED);
   end_io_cache(&info->rec_cache);
-  my_free(sort_info.buff,MYF(MY_ALLOW_ZERO_PTR));
+  free(sort_info.buff);
   sort_info.buff=0;
   share->state.sortkey=sort_key;
   return(flush_blocks(param, share->key_cache, share->kfile) |

=== modified file 'storage/myisam/sort.c'
--- storage/myisam/sort.c	2008-09-23 14:19:48 +0000
+++ storage/myisam/sort.c	2008-10-06 01:30:47 +0000
@@ -155,7 +155,7 @@
       if (my_init_dynamic_array(&buffpek, sizeof(BUFFPEK), maxbuffer,
 			     maxbuffer/2))
       {
-	my_free((uchar*) sort_keys,MYF(0));
+	free((uchar*) sort_keys);
         sort_keys= 0;
       }
       else
@@ -236,7 +236,7 @@
 
 err:
   if (sort_keys)
-    my_free((uchar*) sort_keys,MYF(0));
+    free((uchar*) sort_keys);
   delete_dynamic(&buffpek);
   close_cached_file(&tempfile);
   close_cached_file(&tempfile_for_exceptions);
@@ -367,7 +367,7 @@
         if (my_init_dynamic_array(&sort_param->buffpek, sizeof(BUFFPEK),
                                   maxbuffer, maxbuffer/2))
         {
-          my_free((uchar*) sort_keys,MYF(0));
+          free((uchar*) sort_keys);
           sort_keys= (uchar **) NULL; /* for err: label */
         }
         else
@@ -435,7 +435,7 @@
 err:
     sort_param->sort_info->got_error= 1; /* no need to protect with a mutex */
     if (sort_keys)
-      my_free((uchar*) sort_keys,MYF(0));
+      free((uchar*) sort_keys);
     sort_param->sort_keys= 0;
     delete_dynamic(& sort_param->buffpek);
     close_cached_file(&sort_param->tempfile);
@@ -485,8 +485,9 @@
     if (!sinfo->sort_keys)
     {
       got_error=1;
-      my_free(mi_get_rec_buff_ptr(info, sinfo->rec_buff),
-              MYF(MY_ALLOW_ZERO_PTR));
+      void * rec_buff_ptr= mi_get_rec_buff_ptr(info, sinfo->rec_buff);
+      if (rec_buff_ptr != NULL)
+        free(rec_buff_ptr);
       continue;
     }
     if (!got_error)
@@ -508,9 +509,10 @@
                          sinfo->notnull: NULL,
                          (uint64_t) info->state->records);
     }
-    my_free((uchar*) sinfo->sort_keys,MYF(0));
-    my_free(mi_get_rec_buff_ptr(info, sinfo->rec_buff),
-	    MYF(MY_ALLOW_ZERO_PTR));
+    free((uchar*) sinfo->sort_keys);
+    void * rec_buff_ptr= mi_get_rec_buff_ptr(info, sinfo->rec_buff);
+    if (rec_buff_ptr != NULL)
+      free(rec_buff_ptr);
     sinfo->sort_keys=0;
   }
 
@@ -612,7 +614,7 @@
       }
     }
   }
-  my_free((uchar*) mergebuf,MYF(MY_ALLOW_ZERO_PTR));
+  free((uchar*) mergebuf);
   return(got_error);
 }
 

=== modified file 'vio/vio.c'
--- vio/vio.c	2008-08-08 15:38:16 +0000
+++ vio/vio.c	2008-10-06 01:30:47 +0000
@@ -61,7 +61,7 @@
 void vio_reset(Vio* vio, enum enum_vio_type type,
                int sd, uint flags)
 {
-  my_free(vio->read_buffer, MYF(MY_ALLOW_ZERO_PTR));
+  free(vio->read_buffer);
   vio_init(vio, type, sd, flags);
 }
 
@@ -100,8 +100,8 @@
 
   if (vio->type != VIO_CLOSED)
     vio->vioclose(vio);
-  my_free((uchar*) vio->read_buffer, MYF(MY_ALLOW_ZERO_PTR));
-  my_free((uchar*) vio, MYF(0));
+  free((uchar*) vio->read_buffer);
+  free((uchar*) vio);
 }
 
 

